//----------------------------------------------------------------------------
//	EA_MAIN.JS
//----------------------------------------------------------------------------
                                                                                                                                                                                 
	var objState;
	var curState = -1;
	var g_bSplashShown = false;
	
	var g_bWECOver20;		// assigned in toggleArticleButtons()
	
	var objOutfits = new ActiveXObject("Outfits.Outfits.1");
	
//----------------------------------------------------------------------------
//	ELEMENT MAP ARRAY

	var arrElemMap = new Array();

		arrElemMap[0]  = "divBodyType";				// INIT
		arrElemMap[1]  = "divSeventeen";			// 17		
		arrElemMap[2]  = "divGear";					// GEAR
		arrElemMap[3]  = "imgDRoom";				// DP1/DP2			
		arrElemMap[4]  = "divDP";					// DP1/DP2
		arrElemMap[5]  = "imgSplashDP";				// DP1
		arrElemMap[6]  = "divMannequins";			// DP2
		arrElemMap[7]  = "divRightPane";			// DP2
		arrElemMap[8]  = "divCommonFrame";			// INIT/17/FT
		arrElemMap[9]  = "divFashionTips";			// FT
 	
//----------------------------------------------------------------------------
//	STATE ARRAY
	
	var arrState = new Array();
	//						  0		 1		2	   3	  4		5	 
	//						  INIT   17     FT	   GEAR   DP1    DP2    
	arrState[0]  = new Array( true,  false, false, false, false, false );
	arrState[1]  = new Array( false, true,  false, false, false, false );
	arrState[2]  = new Array( false, false, false, true,  false, false );
	arrState[3]  = new Array( false, false, false, false, true,  true  );
	arrState[4]  = new Array( false, false, false, false, true,  true  );
	arrState[5]  = new Array( false, false, false, false, true,  false );
	arrState[6]  = new Array( false, false, false, false, false, true  );
	arrState[7]  = new Array( false, false, false, false, false, true  );
	arrState[8]  = new Array( true,  true,  true,  false, false, false );
	arrState[9]  = new Array( false, false, true,  false, false, false );
	

//----------------------------------------------------------------------------
//	MAIN BUTTON ARRAY

	var arr_TitleButtons = new Array();
	// 			   STATE		ELEMNAMESTUB |--------IMAGENAMESTUB--------|
	arr_TitleButtons[0] = new Array(     '', '17_0', 'ft_0', 'sab_0', 'dp_0');
	arr_TitleButtons[1] = new Array(   '17', '17_2', 'ft_0', 'sab_0', 'dp_0');
	arr_TitleButtons[2] = new Array(   'FT', '17_2', 'ft_2', 'sab_0', 'dp_0');
	arr_TitleButtons[3] = new Array(  'SAB', '17_0', 'ft_0', 'sab_2', 'dp_0');
	arr_TitleButtons[4] = new Array(   'DP', '17_0', 'ft_0', 'sab_0', 'dp_2');
	arr_TitleButtons[5] = new Array(   'DP', '17_0', 'ft_0', 'sab_0', 'dp_2');	


	function initPage() {
//----------------------------------------------------------------------------
		// seemingly necessary second call to function...
		window.external.BeginWaitCursor();
		
		var l_bReset = false;
		// display age-appropriate advice section
		toggleArticleButtons();
			
		getGearVendorLogos();
		getDPVendorLogos();

		// try to get the previous state
		objState = window.external.PageState("EA");
		if (objState)
		{
			// if user changes age value while away from this page and then reenters
			// state values will be useless
			if (((objState.m_strState == 1) && (g_bWECOver20 == true)) ||
				((objState.m_strState == 2) && (g_bWECOver20 == false)))
			{
				objState = new EAState();
				setState(0);
				l_bReset = true;		
			}
			if (!l_bReset)
			{
				// save gear vendor to temp variable, 
				// as setState(3) will clear value in objState.
				var l_tempGearVendor = objState.m_strGearVendor;
				// restore the previous state
				setState(parseInt(objState.m_strState));
				
				// highlight correct button
				var l_strButtonNameStub =
					arr_TitleButtons[parseInt(objState.m_strState)][0];
				if (document.all['img' + l_strButtonNameStub + 'Button'])
					document.all['img' + l_strButtonNameStub + 'Button'].onmousedown();
				
				// initialize states with objState data
				switch(parseInt(objState.m_strState))
				{
					case 1:		
						if (objState.m_str17MainTab)
							clickedMainTab(document.all[objState.m_str17MainTab]);
						if (objState.m_str17SubTab)
							clickedSubTab(document.all[objState.m_str17SubTab],
										  objState.m_arr17SubTab);
						break;
					case 2:
						if (objState.m_strFTMainTab)
							clickedMainTab(document.all[objState.m_strFTMainTab]);
						if (objState.m_strFTSubTab)
							clickedSubTab(document.all[objState.m_strFTSubTab],
										  objState.m_arrFTSubTab);
						break;
					case 3:
						if (l_tempGearVendor)
							clickedGearVendorLogo(document.all[l_tempGearVendor]);
						break;
					case 4:
						break;
					case 5:
						if (objState.m_strDPVendor)
							clickedDPVendorLogo(document.all[objState.m_strDPVendor]);
						clickedComponent(objState.m_strSelectedMannequin);
						break;
				}
			}
		}
		else
		{
			// first time in this page, start from scratch
			objState = new EAState();
			setState(0);				
		}
		findTarget();
		objComponent1.AddHotRect(1, 12, 114, 446, 548, true);
		objComponent2.AddHotRect(1, 12, 114, 446, 548, true);
		objComponent3.AddHotRect(1, 12, 114, 446, 548, true);
		window.external.EndWaitCursor();
	}
	
	function getElemID(p_nIndex) {
//----------------------------------------------------------------------------
		return arrElemMap[p_nIndex];
	}
	
	function setState (p_nState) {
//----------------------------------------------------------------------------
		l_nOldState = curState;
		var l_strElemID = "";
		if (curState != p_nState)
		{
			curState = p_nState;
			for ( i = 0; i < arrElemMap.length; i++ )
			{
				l_strElemID = getElemID(i);
				if ( arrState[i][p_nState] )
				{
					showElem( l_strElemID );
				}
				else
				{
					hideElem( l_strElemID );
				}
			}
			clearPrevButton(l_nOldState);
		}
		initState(curState);
		// save the state
		objState.m_strState = curState;
	}
	
	function initState(p_nState) {
//----------------------------------------------------------------------------
//	called from setState() only if the state has changed
//----------------------------------------------------------------------------
		var l_strState = '';

		switch (p_nState.toString())
		{
			case '0':
				// test for no bodytype or skincolor data
				if ((window.external.currentuser.bodytype == 0) ||
					(window.external.currentuser.skincolor == 0))
					clickedProfile();				
				// set body type article
				var l_nBodyType = window.external.currentuser.bodytype;
				imgArticle.src = "image/dot_clear.gif"
				imgArticle.src = "articles/bodytype" + l_nBodyType + ".jpg";
				divCommonFrame.style.left = '186px';
				showElem('divCommonFrame');
				hideElem('imgSplash17');
				break;
			case '1':
				if (g_bSplashShown == false)
				{
					showElem('imgSplash17');
					g_bSplashShown = true;
				}
				divCommonFrame.style.left = '117px';
				if (objState.m_str17MainTab)
					clickedMainTab(document.all[objState.m_str17MainTab]);
				if (objState.m_str17SubTab)
					clickedSubTab(document.all[objState.m_str17SubTab],
									objState.m_arr17SubTab);
				break;
			case '2':
				if (g_bSplashShown == false)
				{
					showElem('imgSplash17');
					g_bSplashShown = true;
				}
				showElem(divCommonFrame);
				divCommonFrame.style.left = '117px';
				if (objState.m_strFTMainTab)
					clickedMainTab(document.all[objState.m_strFTMainTab]);
				if (objState.m_strFTSubTab)
					clickedSubTab(document.all[objState.m_strFTSubTab],
									objState.m_arrFTSubTab);
				break;
			case '3':
				// reset the Gear selectedVendor in the state info
				// everytime state 2 is set.
				objState.m_strGearVendor = '';
				break;
			case '4':
				// reset the DP selected vendor in the state info
				// everytime state 3 is set.
				objState.m_strDPVendor = '';
				break;
			case '5':				
				break;						
		}
		if (p_nState != 1)
			resetState1(p_nState);
		if (p_nState != 2)
			resetState2(p_nState);
		
	}
	
	function resetState1(p_nState) {
//----------------------------------------------------------------------------
		resetAll17Tabs();
		if ((p_nState != 0) && (p_nState != 2))
		{
			hideElem('divCommonFrame');
		}
	}
	
	function resetState2(p_nState) {
//----------------------------------------------------------------------------
		resetAllFTTabs();
		if ((p_nState != 0) && (p_nState != 1))
		{
			hideElem('divCommonFrame');
		}
	}
	
//----------------------------------------------------------------------------
//	TOP BUTTON MANAGEMENT
//----------------------------------------------------------------------------

	function toggleArticleButtons() {
//----------------------------------------------------------------------------
		// disable older articles in OEM version
		if (window.external.Version() == 0)
		{
			g_bWECOver20 = false;
			hideElem(imgFTButton);
			showElem(img17Button);
			return;
		}
		// if not OEM version...
		if (window.external.currentuser.age >= 20)
		{
			g_bWECOver20 = true;
			hideElem(img17Button);
			showElem(imgFTButton);
		}
		else
		{
			g_bWECOver20 = false;
			hideElem(imgFTButton);
			showElem(img17Button);
		}
	}

	function clearPrevButton(p_nOldState) {
//----------------------------------------------------------------------------		
		if (p_nOldState && (p_nOldState != -1))
		{
			if (!((p_nOldState == 4 && curState == 5) ||
				(p_nOldState == 5 && curState == 4))) 
			{
				var l_strElem = arr_TitleButtons[p_nOldState][0];
				eval('img' + l_strElem + 'Button.src="image/but_'
					 + l_strElem + '_0.jpg"');
			}
		}
	}
		
	function currentOffImg(p_nButtonNumber) {
//----------------------------------------------------------------------------
		return ('image/but_' + arr_TitleButtons[curState][p_nButtonNumber] + '.jpg');
	}

	var objPathCtrl = createPathControlObject("LOGO");
	
	function getGearVendorLogos() {
//----------------------------------------------------------------------------
	//	query database for premier gear vendors
		var l_objAllVendors = new ActiveXObject("Vendors.Vendors.1");
		var l_ocVendors = l_objAllVendors.GetByCategory("13", "8, 9, 12", "");
		var l_nOCSize = l_ocVendors.Size;
		
		var l_strHTML = '';
		for ( i = 0; i < l_nOCSize; i++)
		{
			var l_objVendor = l_ocVendors.GetAt(i);
			var l_nLZ = 6 - l_objVendor.vendorID.length;
			var l_strLeadingZeros = '';
			for (j = 0; j < l_nLZ; j++) 
				l_strLeadingZeros += '0';
			var l_strVendorID = l_strLeadingZeros + l_objVendor.vendorID;
			var l_strLogo = l_strVendorID + ".jpg";			
			var l_strLogoFullPath = getFullPath(objPathCtrl,
									l_strVendorID,
									l_strLogo);
			var l_strIFramePath = "gear/" + l_strVendorID
								+ "/" + l_strVendorID + ".html";
			l_strHTML 	+= '<IMG id="imgGearLogo' + i + '"'
						+  ' SRC="' + l_strLogoFullPath + '"'
						+  ' class="hotspot" HEIGHT=60 BORDER=0 ALT=""'
						+  ' vendorid="' + l_strVendorID + '"'
						+  ' iframepath="' + l_strIFramePath + '"'
						+  ' onclick="clickedGearVendorLogo(this);"><p>\n';
		}
		divGearLogos.innerHTML = l_strHTML;

	}
	
	function getDPVendorLogos() {
//----------------------------------------------------------------------------
	//	query database for premier fashion vendors
		var l_objAllVendors = new ActiveXObject("Vendors.Vendors.1");
		var l_ocVendors = l_objAllVendors.GetByCategory("13",
														"3, 4, 5, 6, 7, 11",
														"1, 3");
		var l_nOCSize = l_ocVendors.Size;
		
		var l_strHTML = '&nbsp;<BR>';
		for ( i = 0; i < l_nOCSize; i++)
		{
			// vendor object
			var l_objVendor = l_ocVendors.GetAt(i);
			// vendor name
			var l_objVendorName = l_objVendor.name;
			// vendor id (6 character string)
			var l_nLZ = 6 - l_objVendor.vendorID.length;
			var l_strLeadingZeros = '';
			for (j = 0; j < l_nLZ; j++) 
				l_strLeadingZeros += '0';
			var l_strVendorID = l_strLeadingZeros + l_objVendor.vendorID;		
			// img source			
			var l_strLogo = l_strVendorID + ".jpg";			
			var l_strLogoFullPath = getFullPath(objPathCtrl,
									l_strVendorID,
									l_strLogo);
			
			l_strHTML 	+= '<IMG id="imgDPLogo' + i + '"'
						+  ' SRC="' + l_strLogoFullPath + '"'
						+  ' class="hotspot" HEIGHT=60 BORDER=0 ALT=""'
						+  ' vendorname="' + l_objVendorName
						+  '" vendorID="' + l_strVendorID + '"'
						+  ' onclick="clickedDPVendorLogo(this);'
						+  'clickedComponent(\'objComponent1\');">'
						+  '<BR>&nbsp;<BR>\n';
		}
		divDPLogos.innerHTML = l_strHTML;
	}

//----------------------------------------------------------------------------
//	TAB MANAGEMENT
//----------------------------------------------------------------------------

// SEVENTEEN -----------------------------------------------------------------

	var arr_17MainTabs = new Array();
	arr_17MainTabs[0] = new Array("imgTabFashionZone",		"divFZTabs" );
	arr_17MainTabs[1] = new Array("imgTabFitnessBeauty",	"divFBTabs" );
	arr_17MainTabs[2] = new Array("imgTabShoesAcc",			"divSATabs" );
	
	var arr_FZTabs = new Array();
	arr_FZTabs[0] = new Array("imgBuildKiller",				"buildthekiller");
	arr_FZTabs[1] = new Array("imgCasualChic",				"casualchic");
	arr_FZTabs[2] = new Array("imgDressDate",				"gettingdressed");
	arr_FZTabs[3] = new Array("imgImageOverhaul",			"imageoverhaul");
	arr_FZTabs[4] = new Array("imgStyleProfile",			"styleprofiles");
	arr_FZTabs[5] = new Array("imgGetSwim",					"getintheswim");
	arr_FZTabs[6] = new Array("imgWorkWeekend",				"worktoweekend");
	arr_FZTabs[7] = new Array("imgFashionDict",				"fashiondictionary");
	
	var arr_FBTabs = new Array();
	arr_FBTabs[0] = new Array("imgEmergency",				"beautyemergencies");
	arr_FBTabs[1] = new Array("imgFitnessQA",				"fitnessqna");
	arr_FBTabs[2] = new Array("imgDesignWorkout",			"designownworkout");
	arr_FBTabs[3] = new Array("imgBeautySecrets",			"beautysecrets");
	arr_FBTabs[4] = new Array("imgSkinCare",				"skincarebasics");
	arr_FBTabs[5] = new Array("imgMakeup",					"makeup101");
	arr_FBTabs[6] = new Array("imgClinique17",				"clinique17");
	
	var arr_SATabs = new Array();
	arr_SATabs[0] = new Array("imgHowTo",					"howtoaccessorize");
	arr_SATabs[1] = new Array("imgShoes",					"onyourfeet");
	arr_SATabs[2] = new Array("imgJewelry",					"watchout");
	arr_SATabs[3] = new Array("imgBags",					"inthebag");
	arr_SATabs[4] = new Array("imgEyewear",					"specs");
	
//	FASHION TIPS -------------------------------------------------------------

	var arr_FTMainTabs = new Array();
	arr_FTMainTabs[0] = new Array("imgFTTabFashionZone",	"divFTFZTabs" );
	arr_FTMainTabs[1] = new Array("imgFTTabFitnessBeauty",	"divFTFBTabs" );
	arr_FTMainTabs[2] = new Array("imgFTTabShoesAcc",		"divFTSATabs" );
	
	var arr_FTFZTabs = new Array();
	arr_FTFZTabs[0] = new Array("imgFTGoodBuys",			"goodbuys");
	arr_FTFZTabs[1] = new Array("imgFTGreatDateStyle",		"greatdatestyle");
	arr_FTFZTabs[2] = new Array("imgFTJustAddWater",		"justaddwater");
	arr_FTFZTabs[3] = new Array("imgFTPersonalStyle",		"personalstyle");
	arr_FTFZTabs[4] = new Array("imgFTWardrobe101",			"wardrobe101");
	arr_FTFZTabs[5] = new Array("imgFTTeeTime",				"teetime");
	arr_FTFZTabs[6] = new Array("imgFTWorkThatWardrobe",	"workthatwardrobe");
	arr_FTFZTabs[7] = new Array("imgFTGoingCasual",			"goingcasual");
	
	var arr_FTFBTabs = new Array();
	arr_FTFBTabs[0] = new Array("imgFTMakeupBasics",		"makeupbasics");
	arr_FTFBTabs[1] = new Array("imgFTHomeImprovements",	"homeimprovement");
	arr_FTFBTabs[2] = new Array("imgFTFitnessFaqs",			"fitnessfaqs");
	arr_FTFBTabs[3] = new Array("imgFTDontGetBurned",		"dontgetburned");
	arr_FTFBTabs[4] = new Array("imgFTBeautyEmergencies",	"FTbeautyemergencies");
	arr_FTFBTabs[5] = new Array("imgFTBasicTraining",		"basictraining");
	arr_FTFBTabs[6] = new Array("imgFTClinique",				"cliniqueFT");
	// arr_FTFBTabs[6] = new Array("imgFTInterviewNM",	"cloutier_interview_nm");
	// arr_FTFBTabs[7] = new Array("imgFTInterviewJG",		"cloutier_interview_jg");
	
	var arr_FTSATabs = new Array();
	arr_FTSATabs[0] = new Array("imgFTGettingDecked",		"gettingdecked");
	arr_FTSATabs[1] = new Array("imgFTSoleSearching",		"solesearching");
	arr_FTSATabs[2] = new Array("imgFTExtraCredit",			"extracredit");
	arr_FTSATabs[3] = new Array("imgFTBaggingIt",			"baggingit");
	arr_FTSATabs[4] = new Array("imgFTSpecsAppeal",			"specsappeal");

	var arr_MainTabs = new Array();
	arr_MainTabs[1] = '17';
	arr_MainTabs[2] = 'FT';


	function clickedMainTab(p_imgTab) {
//----------------------------------------------------------------------------
		// store state info
		if (curState == 1)
			objState.m_str17MainTab = p_imgTab.id;
		else if (curState == 2)
			objState.m_strFTMainTab = p_imgTab.id;
		
		// determine the set of arrays/tabs via the state
		var l_arrCurrentArray =
			eval('arr_' + arr_MainTabs[curState] + 'MainTabs');

		for (i = 0; i < l_arrCurrentArray.length; i++)
		{
			if (p_imgTab.id != l_arrCurrentArray[i][0])
			{
				// turn off other actives main tabs
				hideElem(l_arrCurrentArray[i][0]);
				// turn off subtab
				hideElem(l_arrCurrentArray[i][1]);
			}
			else
			{
				// match found, store subtab to display
				var l_strFound = l_arrCurrentArray[i][1];
			}
		}
		// show selected main and sub tabs
		showElem(p_imgTab);

		// make sure the subtab shown is reset
		var l_arrFoundTabs = 'arr_' + l_strFound.substring(3, l_strFound.length);
		hideActiveSubTabs(eval(l_arrFoundTabs));
		
		// show subtab base image
		showElem(document.all[l_strFound]);
		
		// hide the splash screen/show the article div
		hideElem(imgSplash17);
		hideElem('divCommonFrame');
	}
	
	function hideActiveSubTabs(p_arrSubTab) {
//----------------------------------------------------------------------------
		for (i = 0; i < p_arrSubTab.length; i++)
			hideElem(document.all[p_arrSubTab[i][0]]);
	}
	
	function resetAll17Tabs() {
//----------------------------------------------------------------------------
		for (i = 0; i < arr_17MainTabs.length; i++)
		{		
			hideElem(arr_17MainTabs[i][0]);
			hideElem(arr_17MainTabs[i][1]);
		}
	}
		
		function resetAllFTTabs() {
//----------------------------------------------------------------------------
		for (i = 0; i < arr_FTMainTabs.length; i++)
		{		
			hideElem(arr_FTMainTabs[i][0]);
			hideElem(arr_FTMainTabs[i][1]);
		}
	}
	
	function clickedSubTab(p_imgActiveTab, p_arrSubTab) {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		
		// store state info
		if (curState == 1)
		{
			objState.m_str17SubTab = p_imgActiveTab.id;
			objState.m_arr17SubTab = p_arrSubTab;
		}
		else if (curState == 2)
		{
			objState.m_strFTSubTab = p_imgActiveTab.id;
			objState.m_arrFTSubTab = p_arrSubTab;		
		}
		
		// display article div if necessary
		if(document.all['divCommonFrame'].style.visibility != 'visible')
			document.all['divCommonFrame'].style.visibility = 'visible';
			
		// hide all other sub tabs and determine the article to display
		for ( i = 0; i < p_arrSubTab.length; i++)
		{
			if (p_imgActiveTab.id != p_arrSubTab[i][0])
				hideElem(p_arrSubTab[i][0]);
			else
				var l_strArticle = p_arrSubTab[i][1];
		}
		showElem(p_imgActiveTab);
		
		imgArticle.src = 'image/dot_clear.gif';
		imgArticle.src = 'articles/' + l_strArticle + '.jpg';
	}

//----------------------------------------------------------------------------
//	Mannequins
//----------------------------------------------------------------------------

	var strSelectedVendorID = '';

	var arr_BodyType = new Array();
		arr_BodyType[1] = "Type I";
		arr_BodyType[2] = "Type II";
		arr_BodyType[3] = "Type III";
		arr_BodyType[4] = "Type IV";
		arr_BodyType[5] = "Type V";
	
	var arr_PointerPos = new Array();
		arr_PointerPos[0] = new Array('objComponent1', 39);
		arr_PointerPos[1] = new Array('objComponent2', 140);
		arr_PointerPos[2] = new Array('objComponent3', 240);

	function DressMannequins (p_strVendorID) {
//----------------------------------------------------------------------------		
		// convert user's body type integer value to appropriate string value
		var l_strBodyType = arr_BodyType[window.external.currentuser.bodytype];
		
		// query database for outfits
		var l_ocOutfits = objOutfits.getByVendor(l_strBodyType, p_strVendorID);
		if (l_ocOutfits.Size < 3)
		{
			l_ocOutfits = objOutfits.getByVendor(l_strBodyType, "Fashion Basics");
		}	
		
		for ( var i = 0; i < l_ocOutfits.Size && i < 3; i++)
		{
			var l_currentOutfit = l_ocOutfits.GetAt(i);
			var l_tempCCtrl = 'objComponent' + (i + 1);
			document.all[l_tempCCtrl].DrawComponentOnColor(
				l_currentOutfit,
				window.external.currentuser.skincolor,
				255, 255, 255 );		
		}
		strSelectedVendorID = p_strVendorID;
	}
	
	function clickedComponent(p_strCompID) {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		// save state info
		objState.m_strSelectedMannequin = p_strCompID;
		
		// change the position of the pointer
		for (i = 0; i < arr_PointerPos.length; i++)
		{
			if (p_strCompID == arr_PointerPos[i][0])
			{
				imgPointer.style.posLeft = arr_PointerPos[i][1];
				break;
			}
		}
		
		// DISPLAY TEXT ASSOCIATED WITH THE CLICKED OUTFIT
		var l_objComp = document.all[p_strCompID];
		if (l_objComp.component)
			divInfo.innerHTML = l_objComp.component.outfittext;
		}
		
	function clickedPurchaseArrow() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		l_objComp = document.all[objState.m_strSelectedMannequin];
		
		var tempVendors = new ActiveXObject("Vendors.Vendors.1");
		
		var thisVendor = tempVendors.getVendorByName(l_objComp.component.vendorname);
		window.external.propertypage(l_objComp.component,
							"\\Html\\main\\property_pages\\pp_main.html",
							"\\Html\\main\\property_pages\\pp_nav.html");
	}

	function clickedProfile() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		var l_strOldBT = window.external.currentuser.bodytype;
		var l_strOldSC = window.external.currentuser.skincolor;
		
		show_dlg_profile();

		var l_strNewBT = window.external.currentuser.bodytype;
		var l_strNewSC = window.external.currentuser.skincolor;

		switch (curState)
		{
			case 0:
				if (l_strNewBT != l_strOldBT)
					initState(curState);
				break;
			case 5:
				if ((l_strNewBT != l_strOldBT) || (l_strNewSC != l_strOldSC))
				{
					DressMannequins(strSelectedVendorID);
					clickedComponent(objState.m_strSelectedMannequin);
				}
				break;
		}
		
		// change age-appropriate articles if necessary
		toggleArticleButtons();
		// set state and highlight button
		if ((curState == 2) && (g_bWECOver20 == false))
		{
			img17Button.onclick();
			img17Button.onmouseout();
		}
		else if ((curState == 1) && (g_bWECOver20 == true))
		{
			imgFTButton.onclick();
			imgFTButton.onmouseout();
		}
	}
	
	function clickedGearVendorLogo(p_imgSelectedVendor) {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		showElem('iframeGear');
		hideElem('imgFrameGear');
		iframeGear.location.href = p_imgSelectedVendor.iframepath;
		
		// save state info
		objState.m_strGearVendor = p_imgSelectedVendor.id;
		
		window.external.currentuser.addEventLog(
			"EASelectVendor",
			p_imgSelectedVendor.vendorid,
			0);
	}
	
	function clickedDPVendorLogo(p_imgSelectedVendor) {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		// save state info
		objState.m_strDPVendor = p_imgSelectedVendor.id;
		
		setState(5);
		DressMannequins(p_imgSelectedVendor.vendorname);
		imgSelectedVendorLogo.src=p_imgSelectedVendor.src;
		imgSelectedVendorLogo.vendorID = p_imgSelectedVendor.vendorID;

		// default to first mannequin as selected
		// clickedComponent("objComponent1");
		window.external.currentuser.addEventLog(
			"EASelectVendor",
			parseInt(p_imgSelectedVendor.vendorID, 10),
			0);		
	}
	
	function clickedSelectedVendorLogo() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		// String with leading zero defaults to base 8, set to base 10
		var l_nVendorID = parseInt(imgSelectedVendorLogo.vendorID, 10);
	
		window.external.urlPropertyPage(
				"http://www.fashiontrip.com/cgi-bin/redirect.pl?vendor=" + l_nVendorID,
				"\\Html\\main\\property_pages\\pp_nav.html");
	}
	
	function clickedHelp() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		var l_strAlias;

		switch(curState)
		{
			case 0:
				l_strAlias = '104';
				break;				
			case 1:
				l_strAlias = '106';
				break;				
			case 2:
				l_strAlias = '106';
				break;				
			case 3:
				l_strAlias = '108';
				break;				
			case 4:
			case 5:
				l_strAlias = '107';
				break;				

		}
		window.external.help(l_strAlias);
	}
	