//----------------------------------------------------------------------------
//	ff_main.js	
//----------------------------------------------------------------------------

	var objVendors = new ActiveXObject("Vendors.Vendors.1");
	var ocVendors = objVendors.getByValidFlag("1, 3", true);
	var objPathCtrl = createPathControlObject("LOGO");
	var objState;		// state object
	var g_ocDccs;		// holds the object collection returned
	var g_nCurrentPage = 0;
	
	var MAX_DCCS = 500;
	var COMPONENTS_PER_SCREEN = 4;
			
	function initPage() {
//----------------------------------------------------------------------------		
		buildVendorTable();
		findTarget();
		objState = window.external.PageState("FF");
		
		// if persistent object exists, rerun stored query
		if (objState)
		{
			// highlight persistent settings
			if (objState.m_strCurrentVendor)
				if(objState.m_strCurrentVendor != "Fashion Basics")
					document.all[objState.m_strCurrentVendor].style.border
						= "2pt black solid";
				else
					imgBasics.src = "image/fashionbas_2.jpg";
					
			if (objState.m_nCurrentColor)
				imgArrow.style.left = arrowOffset[objState.m_nCurrentColor] + 16;
			if (objState.m_strActiveTab)
				showElem(objState.m_strActiveTab);
			queryData();
		}	
		else
		{
			objState = new FFState();
			objState.m_nCurrentColor = 13;
			showElem('imgSplash');
		}
		showElem('divButtons');
		//showElem('buttonPrev');
		//showElem('buttonNext');
		//showElem('buttonEnd');
		window.external.EndWaitCursor();
	}
	
	function buildVendorTable() {
//----------------------------------------------------------------------------
		var strHTML = '';
		
		// 	build strHTML based on vendor logo data
		for (i = 0; i < ocVendors.Size; i++)
		{
			var l_objVendor = ocVendors.GetAt(i);
			var l_strVName = l_objVendor.name;
			//alert(l_objVendor.name);
			if (l_strVName == "Fashion Basics")
				continue;
			// build logo filename
			var strTemp = "";
			for ( j = 0 ; j < (6 - l_objVendor.vendorID.length) ; j++)
			{
				strTemp += "0";
			}
			var l_strLogoFileName = strTemp + l_objVendor.vendorID + '.jpg';
			var l_strFullPath = getFullPath(objPathCtrl,
											l_objVendor.VendorID,
											l_strLogoFileName);
			strHTML += '<IMG SRC="' + l_strFullPath +'"'
					+ 'id="' + l_objVendor.name + '" '
					+ 'class="hotspot" '
					+ 'height=60 BORDER=0 ALT="" HSPACE="5" '
					+ 'style="border: 2pt white solid;" '
					+ 'onclick="clickedVendorLogo(this.id);">';		
		}
		
		// 	assign strHTML to vendor table cell
		tablecellVendorLogos.innerHTML = strHTML;		
	}

	var arrowOffset = new Array();
		arrowOffset[1]  =   0;
		arrowOffset[2]  =  25;
		arrowOffset[3]  =  50;
		arrowOffset[4]  =  75;
		arrowOffset[5]  = 100;
		arrowOffset[6]  = 125;
		arrowOffset[7]  = 150;
		arrowOffset[8]  = 175;
		arrowOffset[9]  = 200;
		arrowOffset[10] = 225;
		arrowOffset[11] = 250;
		arrowOffset[12] = 273;
		arrowOffset[13] = 298;
		
	function clickedColorBar(p_nColorID) {
//----------------------------------------------------------------------------
		hideElem('imgClear' + p_nColorID);
		window.external.BeginWaitCursor();
		if (objState.m_nCurrentColor)
		{
			var l_strOldSelection = 'imgClear' + objState.m_nCurrentColor;
			showElem(l_strOldSelection);
		}
		window.external.PlayAudio('gmouseup.wav');
		// save state
		objState.m_nCurrentColor = p_nColorID;
		imgArrow.style.left = arrowOffset[p_nColorID] + 16;
		queryData();
		window.external.EndWaitCursor();
	}


	function tabSelected(p_strImg, p_strCategory) {
//----------------------------------------------------------------------------	
		window.external.PlayAudio('gmouseup.wav');
		// don't query if category is the same as the current
		if (objState.m_strCurrentCategory == p_strCategory)
			return;
			
		window.external.BeginWaitCursor();
		// hide any other active tabs
		for (i = 0; i < 10 ; i++) 
		{
			var l_strElem = "imgCatTab" + (i + 1);
			if (l_strElem != p_strImg)
				hideElem(eval(l_strElem));
		}
		// display selected tab
		showElem(p_strImg);
		
		// save state
		objState.m_strCurrentCategory = p_strCategory;
		objState.m_strActiveTab = p_strImg;
		// try to query db for data and display
		queryData();
		window.external.EndWaitCursor();		
	}
	
	function clickedVendorLogo(p_strVendorName) {
//----------------------------------------------------------------------------
		window.external.BeginWaitCursor();	
		window.external.PlayAudio('gmouseup.wav');
		
		if ((objState.m_strCurrentVendor == "Fashion Basics") &&
			(p_strVendorName != "Fashion Basics"))
		{
			imgBasics.src="image/dot_clear.gif";
		}
		
		// set a border around logo
		if (objState.m_strCurrentVendor &&
		   (objState.m_strCurrentVendor != "Fashion Basics"))
			document.all[objState.m_strCurrentVendor].style.border = "2pt white solid";
			
		if (document.all[p_strVendorName])
			document.all[p_strVendorName].style.border = "2pt black solid";

		if (objState.m_strCurrentVendor == p_strVendorName)
		{
			window.external.EndWaitCursor();
			return;
		}		
		// save state
		objState.m_strCurrentVendor = p_strVendorName;
		queryData();
		window.external.EndWaitCursor();
	}
	
	// GLOBAL
	var g_arrCategories = new Array();
		g_arrCategories[2]  = "tops";
		g_arrCategories[3]  = "pants/shorts";
		g_arrCategories[4]  = "skirts";
		g_arrCategories[5]  = "dresses";
		g_arrCategories[6]  = "jackets";
		g_arrCategories[7]  = "accessories";
		g_arrCategories[8]  = "swimwear";
		g_arrCategories[9]  = "outerwear";
		g_arrCategories[10] = "shoes";
		g_arrCategories[11] = "cosmetics";
	
	function queryData() {
//----------------------------------------------------------------------------
		if (objState.m_strCurrentCategory
			&& objState.m_strCurrentVendor
			&& objState.m_nCurrentColor)
		{ 
			hideElem(divInfo);
			// Query database based on global vars.
			var l_objVendor =
				objVendors.getVendorByName(objState.m_strCurrentVendor);
			
			// colorid = 13 - get all dccs
			if (objState.m_nCurrentColor == 13)
			{				
				// before actual query, check number of dccs to be returned
				var l_nDccCount =
					l_objVendor.CountDccByCategory(parseInt(objState.m_strCurrentCategory));
				if (l_nDccCount > MAX_DCCS)
				{
					if(!confirm('There are more than ' + MAX_DCCS + ' items in this category.\n'
							+ 'These may take a while to display.\n'
							+ 'Selecting a specific color will reduce the number of items.\n'
							+ 'Would you like to continue?'))
						return;
				}		
				window.external.BeginWaitCursor();		
				var l_ocDccs =
					l_objVendor.getDccByCategory(parseInt(objState.m_strCurrentCategory));
			}
			else
			{
				var l_ocDccs = l_objVendor.getDccsByCategoryAndColor(
												objState.m_strCurrentCategory,
												objState.m_nCurrentColor);
			}
								
			var strHTML = '';
			if (l_ocDccs.Size == 0)
			{
				strHTML += '<B>' + l_objVendor.name + '</B>'
					+ ' doesn\'t have any items featured in <BR>fashion&raquo;trip with this '
					+ 'category / color combination.<BR>Try <B>"All"</B> colors with '
					+ 'one of the following categories: <B>';
				// look for categories that are not empty
				var l_bFirstCat = true;
				for (l_nCategory = 2; l_nCategory < 12; ++l_nCategory)
				{
					var l_nDccCountPerCat = l_objVendor.CountDccByCategory(l_nCategory);
					if (l_nDccCountPerCat > 0)
					{
						if (!l_bFirstCat)
						{
							strHTML += ', ';		
						}
						else
						{
							l_bFirstCat = false;
						}
						strHTML += g_arrCategories[l_nCategory];
					}
				}
				strHTML += '</B>.';
				// clear the dcc div
				tablecellDccs.innerHTML = '';
				divInfo.innerHTML = strHTML;
				hideElem('imgSplash');
				
				showElem(divInfo);
				
				// reset the global object collection
				g_ocDccs = null;
				return;
			} // endif
			
			hideElem('imgSplash');
			g_ocDccs = l_ocDccs;
			g_nCurrentPage = 0;
			displayData();
		}
	}
			
			
	function displayData() {
//----------------------------------------------------------------------------
		var l_nOCSize = g_ocDccs.Size;
		
		var l_nFullPages = parseInt(l_nOCSize / COMPONENTS_PER_SCREEN);
		var l_nPartialPage = l_nOCSize % COMPONENTS_PER_SCREEN;

		if (l_nPartialPage > 0) l_nPartialPage = 1;
		var l_nNumberOfPages = l_nFullPages + l_nPartialPage;
		
		if (l_nNumberOfPages == 0) l_nNumberOfPages = 1;
		
		// allows wraparound of pages
		if (g_nCurrentPage < 0) g_nCurrentPage = l_nNumberOfPages - 1;
		if (g_nCurrentPage >= l_nNumberOfPages) g_nCurrentPage = 0;
				
		// create component ctrls
		var strHTML = '';
		var l_nStartingDcc = g_nCurrentPage * COMPONENTS_PER_SCREEN;
		var l_nEndingDcc = l_nStartingDcc + COMPONENTS_PER_SCREEN;
		for (i = l_nStartingDcc; i < l_nEndingDcc; i++)
		{
			if (i < l_nOCSize)
			{
				var l_objComp = 'objComponent' + i;
			
				strHTML += '<OBJECT ID="' + l_objComp + '" '
						+  'CLASSID="CLSID:1620C3FF-86B9-11D1-A8BF-00600829668D" '
						+  'WIDTH=100 HEIGHT=230>'
						+  '<PARAM NAME="bkColor" VALUE=16777215></OBJECT>'
						+  '<script language="JavaScript" for="' + l_objComp
						+ '" event="dblclickon">dblclickonComponent(this);</' + 'script>'
						+  '<script language="JavaScript" for="' + l_objComp
						+ '" event="dragstart(x, y)" id="dsEvent">doMouseDown(this, x, y);</' + 'script>'
						+  '<script language="JavaScript" for="' + l_objComp
						+ '" event="dragon(x, y)">doMouseMove(x, y);</' + 'script>'
						+  '<script language="JavaScript" for="' + l_objComp
						+ '" event="dragend(x, y)">' +  'doMouseUp(x, y);</' + 'script>'
						+  '<script language="Javascript" for="' + l_objComp
						+ '" event="DragOver(id, obj)">doDragOver(id, obj);</' + 'script>'
						+ '<script language="JavaScript" for="' + l_objComp
						+ '" event="DragOff(id, obj)">doDragOff(id, obj);</' + 'script>';
			}
		}	
		
		// resets the scrollbar
		tablecellDccs.innerHTML = '';
		// fill the tablecell with the data
		tablecellDccs.innerHTML = strHTML; 
		// fill component ctrls with dccs
		for ( j = l_nStartingDcc; j < l_nEndingDcc; j++)
		{
			if (j < l_nOCSize)
			{
				var l_objComp = eval('objComponent' + j);		
				var l_objDcc = g_ocDccs.GetAt(j);		
 				l_objComp.InitClosetComponent(l_objDcc, 1, 230);
				// register the dressing room button as target
				l_objComp.AddHotRect(1, 36, 141, 326, 432, true);
			}
		}
		window.external.EndWaitCursor();
	}

	
	function dblclickonComponent(p_objComp) {
//----------------------------------------------------------------------------
		showElem(divMask);
		window.external.propertypage(p_objComp.Component,
							"\\Html\\main\\property_pages\\pp_main.html",
							"\\Html\\main\\property_pages\\pp_nav.html");
		hideElem(divMask);		
	}
	
	function clickedAddressBook() {
//----------------------------------------------------------------------------
		show_dlg_addbook();
		objBrokerInit();
	}
	
	function clickedHelp() {
//----------------------------------------------------------------------------
		window.external.help('112');
	}

	function clickedBegin() {
//----------------------------------------------------------------------------
		if (g_ocDccs)
		{
			window.external.BeginWaitCursor();
			g_nCurrentPage = 0;
			displayData();
		}
	}
			
	function clickedPrev() {
//----------------------------------------------------------------------------
		if (g_ocDccs)
		{
			window.external.BeginWaitCursor();
			g_nCurrentPage -= 1;
			displayData();
		}
	}
	
	function clickedNext() {
//----------------------------------------------------------------------------
		if (g_ocDccs)
		{
			window.external.BeginWaitCursor();
			g_nCurrentPage += 1;
			displayData();
		}
	}
	
	function clickedEnd() {
//----------------------------------------------------------------------------
		
		if (g_ocDccs)
		{
			window.external.BeginWaitCursor();
			var l_nOCSize = g_ocDccs.Size;
			
			var l_nFullPages = parseInt(l_nOCSize / COMPONENTS_PER_SCREEN);
			var l_nPartialPage = l_nOCSize % COMPONENTS_PER_SCREEN;
			if (l_nPartialPage > 0) l_nPartialPage = 1;
			var l_nNumberOfPages = l_nFullPages + l_nPartialPage;
			
			g_nCurrentPage  = l_nNumberOfPages - 1;
			displayData();
		}
	}
