//----------------------------------------------------------------------------
//	LOGIN_MAIN.JS
//----------------------------------------------------------------------------

	var g_objUsers = new ActiveXObject("Users.Users.1");
	var g_ocAllUsers = null;
	var g_nRadioButton = true;

	function initPage() {
//----------------------------------------------------------------------------
		var l_nCurrentSize = selectUser.size;
		if (selectUser.offsetHeight > divSelectUser.style.pixelHeight)
		{
			l_nCurrentSize = l_nCurrentSize - 1;
		}
		selectUser.size = l_nCurrentSize;
		refreshList();
		imgEnter.disabled = true;
		
		// initialize connect radio buttons
		imgNo.src='image/dot_clear.gif';
        imgYes.src='image/yes.jpg';
		clearInputs();
		if (selectUser.options.length >= 0)
		{
			// auto select first user in the list
			selectUser.selectedIndex = 0;
			optionSelected(selectUser[selectUser.selectedIndex]);
		}
		window.external.EndWaitCursor();
	}

	function refreshList() {
//----------------------------------------------------------------------------
		// remove old entries
		var l_nSelectLength = selectUser.options.length;
		while ( l_nSelectLength > 0)
		{
			selectUser.options.remove(l_nSelectLength - 1);
			l_nSelectLength--;
		}	
		var l_ocUserCollection = g_objUsers.GetAllUsers();

		for ( i = 0; i < l_ocUserCollection.Size; i++)
		{
			var l_objUser = l_ocUserCollection.GetAt(i);

			// create option object and add it to the listbox
			var l_opt = document.createElement("OPTION");
			l_opt.text = l_objUser.firstname;
			// allow the user to have one or more names
			var l_strUserLastName = new String(l_objUser.lastname);
			if (l_strUserLastName.length != 0)
			{
				l_opt.text += ' ' + l_objUser.lastname;
			}
			l_opt.value = l_objUser.email;
			
			// add new option to select listbox
			selectUser.options.add(l_opt, i);
		}
		selectUser.selectedIndex = -1;
	}

	function optionSelected(p_opt) {
//----------------------------------------------------------------------------
		var l_optSelected = selectUser[selectUser.selectedIndex];
		
		var l_optUnusedNew = checkForUnusedNewUser();
		if (l_optUnusedNew)
			selectUser.remove(selectUser.options.length - 1);
			
		if (l_optSelected.index > -1)
		{
			fillInputs();
			imgEnter.disabled = false;
		}
		else
			clearInputs();
	}

	function checkForUnusedNewUser() {
//----------------------------------------------------------------------------
// returns option found
//----------------------------------------------------------------------------
		// get last option in list
		if (selectUser.options.length > 0)
		{
			var l_opt = selectUser[selectUser.options.length - 1];
		
			// check for modification. if none, delete option
			if (l_opt.text == 'New User')
				return l_opt;
		}
		return null;
	}

	function fillInputs() {
//----------------------------------------------------------------------------		
		var l_optSelected = selectUser[selectUser.selectedIndex];
		textName.value = l_optSelected.text;		
		textEmail.value = l_optSelected.value;
		textName.select();
		textEmail.disabled = false;
		textName.disabled = false;		
		imgEnter.disabled = false;
		textName.select();
	}
	
	function clearInputs() {
//----------------------------------------------------------------------------
		textName.value = '';
		textEmail.value = '';
		textEmail.disabled = true;
		textName.disabled = true;
		imgEnter.disabled = true;
	}

	function clickedNew() {
//----------------------------------------------------------------------------
		var l_optUnusedNew = checkForUnusedNewUser(); 
	
		// if no new user exists add new option
		if (!l_optUnusedNew)
		{
			var l_optNew = document.createElement("OPTION");
			l_optNew.text = 'New User';
			l_optNew.value = 'NewUser@isp.com';
			selectUser.options.add(l_optNew, selectUser.options.length);
		}	
		
		// select the option
		selectUser.selectedIndex = selectUser.options.length - 1;		

		// fill inputs
		fillInputs();
	}

	function validUserData() {
//----------------------------------------------------------------------------
		// if valid, return true
		if (textName.value != '' && textEmail.value != '')
		{
			if (textEmail.value != 'NewUser@isp.com')
				return true;
			else
			{
				alert('You didn\'t enter a valid email address...');
				textEmail.select();
				return false;
			}
		}
		else 
		{
			if (!textName.value)
			{
				alert('The name field cannot be blank. Please enter a name.');
				textName.select();
			}
			if (!textEmail.value)
			{
				alert('The email field cannot be blank. Please enter an email address.\n'
						+ 'If you don\'t have one, type "None".');
				textEmail.select();
			}
			return false;
		}
	}

	function deleteLeadingAndTrailingSpaces(p_strValue) {
//----------------------------------------------------------------------------
		// delete any leading spaces
		while(p_strValue.substring(0, 1) == ' ')
			p_strValue = p_strValue.substring(1, p_strValue.length);
		// delete any trailing spaces
		while(p_strValue.substring(p_strValue.length - 1, p_strValue.length) == ' ')
			p_strValue = p_strValue.substring(0, p_strValue.length -1);
		
		return p_strValue;
	}


	function clickedUpdate() {
//----------------------------------------------------------------------------
//	l_objUserToUpdate holds the user object that will be changed,
//		whether it is new or an existing one.
//----------------------------------------------------------------------------
		//alert('clicked update');
		var l_objUserToUpdate = null;
		var l_nIndex = selectUser.selectedIndex;

		if (validUserData())
		{
			// get the email of the selected option
			var l_optSelectedOpt = selectUser[selectUser.selectedIndex];
			var l_selectedUserEmail = l_optSelectedOpt.value;
			
			// try to match email portion of the selected option
			// with an existing user email
			var l_ocUsers = g_objUsers.getAllUsers();
			for (i = 0; i < l_ocUsers.Size; i++)
			{
				l_objTempUser = l_ocUsers.GetAt(i);
				if (l_selectedUserEmail == l_objTempUser.email)
				{
					l_objUserToUpdate = l_objTempUser;
					break;
				}
			}
			
			// if no match is found, create a new user object
			if (!l_objUserToUpdate){
				l_objUserToUpdate = g_objUsers.createUser();
			}
		
		// NAME VALUE
			textName.value = deleteLeadingAndTrailingSpaces(textName.value);		
			// update user object values with data from input fields
			l_arrUserName = textName.value.split(' ');
			// first word goes to firstname 
			l_objUserToUpdate.firstname = l_arrUserName[0];		
			// consider variable number of words
			switch(l_arrUserName.length)
			{
				case 1:
					// first name entered only. 
					l_objUserToUpdate.lastname = '';
					break;
				default:
					// concatenate all other words to put into the lastname
					var l_strLastName = '';
					var l_nSpacer = l_arrUserName.length - 1;
					for (i = 1; i < l_arrUserName.length; i++)
					{
						l_strLastName += l_arrUserName[i];
						if (i < l_nSpacer) l_strLastName += ' ';
					}
					l_objUserToUpdate.lastname = l_strLastName;
					break;
			}
			
		// EMAIL VALUE
			textEmail.value = deleteLeadingAndTrailingSpaces(textEmail.value);
			l_objUserToUpdate.email = textEmail.value;				
			var l_objUsers = new ActiveXObject("Users.Users.1");
			l_objUsers.updateUser(l_objUserToUpdate);
			
		// add data to event log
			l_objUserToUpdate.addEventLog(
				"UpdateName," + 
				l_objUserToUpdate.firstname + ' ' + l_objUserToUpdate.lastname,
				0, 0);

			l_objUserToUpdate.addEventLog(
				"UpdateEmail," + l_objUserToUpdate.email,
				0, 0);

		
			clearInputs();
			refreshList();
			selectUser.selectedIndex = l_nIndex;
			fillInputs();
			textName.focus();
			return true;
		}
		else 
			return false;
	}
	
	function clickedRemove() {
//----------------------------------------------------------------------------
//  - CURRENTLY, THIS FUNCTION RELIES ON THE ORDER OF THE LIST MATCHING THE 
//		ORDER OF THE USERS.  THIS WILL CHANGE WHEN SORTING THE USERS IS
//		IMPLEMENTED. THE FOR/SEARCH/BREAK ALGORITHM WILL NEED TO BE ADDED 
//		SO THAT THE CORRECT USER IS REMOVED
//----------------------------------------------------------------------------
		var bRefresh = true;
		var bLAST_USER = false;
		if (selectUser.selectedIndex > -1)
		{
			var l_ocUsers = g_objUsers.getAllUsers();
			
			// if user is trying to delete the last user, the database
			// will recreate a user based on registry settings. tell the 
			// user that this is necessary....
			if(l_ocUsers.Size == 1)
				bLAST_USER = true;

			// if selectedIndex >= l_ocUsers.Size, the selected option is new user,
			// don't try to delete a userobject, because it doesn't exist.
			if (selectUser.selectedIndex < l_ocUsers.Size)
			{
				var l_objUser = l_ocUsers.GetAt(selectUser.selectedIndex);
				if (l_objUser &&
					confirm("Are you sure you want to delete this user?"))
				{
					g_objUsers.deleteUser(l_objUser);				
				}
				else
				{
					bRefresh = false;
				}
			}
			if(bLAST_USER)
			{
				alert('fashion>>trip requires that one user exist.\n'
					+ 'A new user based on the last installation will be created.');
			}		
			if (bRefresh)
			{
				// remove the option
				var oldIndex = selectUser.selectedIndex;
				selectUser.remove(selectUser.selectedIndex);
				clearInputs();
				refreshList();
				if (oldIndex == selectUser.options.length)
				{
					selectUser.selectedIndex = oldIndex - 1;
				}
				else
				{
					selectUser.selectedIndex = oldIndex;
				}
				optionSelected(selectUser[selectUser.selectedIndex]);
			}
		}
	}

	function clickedQuit() {
//----------------------------------------------------------------------------
		window.external.Exit();
		// or...
		// window.location.href = '../misc/credits.html';
	}

	function clickedEnter() {
//----------------------------------------------------------------------------
		window.external.BeginWaitCursor();
		if (clickedUpdate())
		{
			var l_bContinue = true;

			// get the user object
			var l_objUsers = new ActiveXObject("Users.Users.1");
			var l_ocAllUsers = l_objUsers.getAllUsers();
			var l_objSelectedUser = l_ocAllUsers.GetAt(selectUser.selectedIndex);
	
			window.external.currentuser = l_objSelectedUser; 

			// user clicked work online - try to connect
			if (g_nRadioButton)
			{
				// var holds the success or failure of connection attempt
				l_bContinue = initConnection();
			}
			
			if ( l_bContinue )
			{
				if (window.external.NetConnect1.IsConnected())
				{
					// upload the event log
					window.external.currentuser.createEventLogTextFile();
					// start push
					window.external.AutoPush();
				}
				window.location.href = '../lobby/lobby.html';
			}
		}
	}
	
	function onBodyKeyUp(p_objEvent) {
//----------------------------------------------------------------------------
		if(p_objEvent.srcElement.id != "textEmail")
		{
			if (p_objEvent.keyCode == 13)
			{
				imgEnter.onclick();
			}
		}
	}
	function clickedPrivacy() {
//----------------------------------------------------------------------------
		// bring up legalese dialog
		show_dlg_privacy();
	}