//----------------------------------------------------------------------------
//	PP_MAIN.JS
//----------------------------------------------------------------------------

	var objComp = window.external.ppthis;
	var objVendors;
	var objVendor;	
	var objPathCtrl = createPathControlObject("LOGO");
	var arr_VendorIDs = new Array();
	
	var strTableHeader =  '<TABLE  id="tableInfo" CELLSPACING="5" CELLPADDING="0"'
						+ ' BORDER="0" VALIGN=TOP width=100%>';
	var strTableFooter = '</TABLE>';
						
						
	function logEvent(p_strEventName, p_nParam1, p_nParam2) {
//----------------------------------------------------------------------------
		window.external.currentuser.addEventLog(
					p_strEventName,
					p_nParam1,
					p_nParam2);
	}

	function initPage() {
//----------------------------------------------------------------------------
		var l_strClickedMannequinID = '';
		if (window.external.PageState("MannequinClicked"))
			l_strClickedMannID = window.external.PageState("MannequinClicked").id;
			
		l_objBuddySkinColor = window.external.PageState("BSC");

		if (l_objBuddySkinColor && window.external.Voice.BuddyName
			&& (l_strClickedMannID == "objMannequin2"))
		{
			var l_nMannSkinColor = 	parseInt(l_objBuddySkinColor.m_strSkinColor);
		}
		else
			var l_nMannSkinColor = window.external.currentuser.skincolor;
	
		// draw the outfit or dcc
		objComponent.DrawComponentOnColor(
					objComp,
					l_nMannSkinColor,
					255, 255, 255 );

		// make updraggable
		objComponent.draggable = false;
		objVendors = new ActiveXObject("Vendors.Vendors.1");
	
		buildTable();
		window.external.EndWaitCursor();
	}
		
	function buildTable() {
//----------------------------------------------------------------------------
		
		var strHTML = strTableHeader;
		
		// determine if the object is and outfit or a dcc
		if (objComp.dccID) 
		{
			logEvent("PPQueryDcc", objComp.vendorID, objComp.dccID);
			strHTML += buildTableRows(0, objComp);
			// add footer to close table
			strHTML += strTableFooter;
			divInfo.innerHTML = strHTML;
			fillTableRows(0, objComp);
		}	
		else  // object is outfit	 
		{
			var l_ocDccColl = objComp.getDCCCollection();
			l_nDccs = l_ocDccColl.Size;
			// build a table row for each dcc in the outfit 
			for (i = 0; i < l_nDccs; i++)
			{
				var l_objDcc = l_ocDccColl.GetAt(i);
				logEvent("PPQueryOutfit", objComp.outfitID, l_objDcc.dccID);
				strHTML += buildTableRows(i, l_objDcc);
			}
			// add footer to close table
			strHTML += strTableFooter;
			divInfo.innerHTML = strHTML;
			for (i = 0; i < l_nDccs; i++)
			{
				var l_objDcc = l_ocDccColl.GetAt(i);		
				fillTableRows(i, l_objDcc);
			}
		}
	}
	
	function buildTableRows(p_nDccNum, p_objDcc, p_nOrder) {
//----------------------------------------------------------------------------		
		var l_strHTML = ''
			+'<TR><TD id="dataVendorLogo'+ p_nDccNum +'" COLSPAN="3" '
			+'ALIGN="center" VALIGN="top">'		
			+'<TABLE style="border: 2px #6E6DAF solid;" CELLSPACING=0 CELLPADDING=2>'
			+'<TR><TD BGCOLOR=#FFFFFF ALIGN="center">'
			+'<IMG class="hand" ALIGN="center"  id="imgVendorLogo'
			+ p_nDccNum +'" ALT="" BORDER="0" ' 
			+'onclick="clickedLogo(' + p_nDccNum + ');"></TD></TABLE>&nbsp;</TD></TR>';
			
		if (p_objDcc.vendorID)
		{
			objVendor = objVendors.getVendorByID(p_objDcc.vendorID);
			arr_VendorIDs[p_nDccNum] = new Array(objVendor.vendorID, p_objDcc.dccID);			
			l_strHTML +=
				'<TR><TD align=right width=50% valign=top><B>STORE</B></TD><TD width=10>&nbsp;&nbsp;&nbsp;</TD>'
				+'<TD id="dataVendorName'+ p_nDccNum +'" width=50% valign=top>&nbsp;</TD></TR>';
		}
			
		if (p_objDcc.name)
		{
			l_strHTML +=
				'<TR valign=top><TD align=right valign=top><B>DESCRIPTION</B></TD><TD></TD>'
				+'<TD id="dataDescription'+ p_nDccNum +'">&nbsp;</TD></TR>';
		}	
				
		if (p_objDcc.sku)
		{
			l_strHTML +=
				'<TR><TD align=right valign=top><B>STYLE#</B></TD><TD></TD>'
				+'<TD id="dataSKU'+ p_nDccNum +'">&nbsp;</TD></TR>';
		}
			
		if (p_objDcc.Size)
		{	
			l_strHTML +=
				'<TR><TD align=right valign=top><B>AVAILABLE SIZES</B></TD><TD></TD>'
				+'<TD id="dataAvailSizes'+ p_nDccNum +'">&nbsp;</TD></TR>';
		}
			
		if (p_objDcc.color)
		{	
			l_strHTML +=
				'<TR><TD align=right valign=top><B>AVAILABLE COLORS</B></TD><TD></TD>'
				+'<TD id="dataColor'+ p_nDccNum +'">&nbsp;</TD></TR>';
		}
				
		if (p_objDcc.AvailableColors)
		{	
			l_strHTML +=
				'<TR><TD align=right valign=top><B>AVAILABLE COLORS</B></TD><TD></TD>'
				+'<TD id="dataAvailColors'+ p_nDccNum +'">&nbsp;</TD></TR>';
		}
		
		if (p_objDcc.material)
		{	
			l_strHTML +=
				'<TR><TD align=right valign=top><B>MATERIAL</B></TD><TD></TD>'
				+'<TD id="dataMaterial'+ p_nDccNum +'">&nbsp;</TD></TR>';
		}
										
		if (p_objDcc.dccText)
		{
			l_strHTML +=	
				'<TR><TD id="dataAdditionalInfo'+ p_nDccNum +'" COLSPAN="3" '
				+'ALIGN="center" valign=top></TD></TR>';
		}
			
		l_strHTML +=
			 '<TR><TD COLSPAN="3" ALIGN=CENTER>'
			+'&nbsp;<BR CLEAR=ALL><IMG class="getitbuttons" id="imgPurchaseButton' + p_nDccNum
			+'" SRC="image/moreinfo_0.jpg" '
			+'WIDTH=84 HEIGHT=25 ALT="" BORDER="0" '
			+'onmouseover="this.src=\'image/moreinfo_1.jpg\';" '
			+'onmouseout="this.src=\'image/moreinfo_0.jpg\';" '
			+'onmousedown="this.src=\'image/moreinfo_2.jpg\';" '
			+'onclick="clickedPurchase('+ p_nDccNum +')">'
			+'&nbsp;<BR CLEAR=ALL>'
		//	+'<HR width=75%>'
			+'<IMG SRC="image/dot_6D6EAF.gif" WIDTH=288 HEIGHT=1 BORDER=0 ALT="">'
			+'&nbsp;<BR></TD></TR>';
			
		return l_strHTML;
	}
	
	function fillTableRows(p_nOrder, p_objDcc) {
//----------------------------------------------------------------------------		
		objVendor = objVendors.getVendorByID(p_objDcc.vendorID);							
		document.all['imgVendorLogo' + p_nOrder].src = getLogo(objVendor);

		if (document.all['dataVendorName' + p_nOrder])		
			document.all['dataVendorName' + p_nOrder].innerText = objVendor.name;

		if (document.all['dataDescription' + p_nOrder])		
			document.all['dataDescription' + p_nOrder].innerText = p_objDcc.name;

		if (document.all['dataSKU' + p_nOrder])		
			document.all['dataSKU' + p_nOrder].innerText = p_objDcc.sku;

		if (document.all['dataAvailSizes' + p_nOrder])		
			document.all['dataAvailSizes' + p_nOrder].innerText = p_objDcc.Size;
			
		if (document.all['dataColor' + p_nOrder])		
			document.all['dataColor' + p_nOrder].innerText = p_objDcc.color;
		
		if (document.all['dataAvailColors' + p_nOrder])		
			document.all['dataAvailColors' + p_nOrder].innerText = p_objDcc.AvailableColors;

		if (document.all['dataMaterial' + p_nOrder])		
			document.all['dataMaterial' + p_nOrder].innerText = p_objDcc.material;
			

		if (document.all['dataAdditionalInfo' + p_nOrder])		
			document.all['dataAdditionalInfo' + p_nOrder].innerHTML = p_objDcc.dccText;
	}
	
	function getLogo(p_objVendor) {
//----------------------------------------------------------------------------
		var strTemp = "";
		for ( j = 0 ; j < (6 - p_objVendor.vendorID.length) ; j++)
		{
			strTemp += "0";
		}
		var l_strLogoFileName = strTemp + p_objVendor.vendorID + '.jpg';
		
		var l_strFullPath = getFullPath(objPathCtrl,
										p_objVendor.VendorID,
										l_strLogoFileName);								
		return l_strFullPath;
	}
	
	function clickedPurchase(p_nOrder) {
//----------------------------------------------------------------------------
		if (ConfirmUserConnection())
		{
			logEvent("PPMoreInfo", arr_VendorIDs[p_nOrder][0], arr_VendorIDs[p_nOrder][1]);
			var l_strCGIParams = "vendor="
								 + arr_VendorIDs[p_nOrder][0]
								 + "&dcc="
								 + arr_VendorIDs[p_nOrder][1];
					 
			window.location.href = "http://www.fashiontrip.com/cgi-bin/redirect.pl?"
									+ l_strCGIParams;		
		}
	}
	
	function clickedLogo(p_nOrder) {
//----------------------------------------------------------------------------
		if (ConfirmUserConnection())
		{
			logEvent("PPVendorLogo", arr_VendorIDs[p_nOrder][0], arr_VendorIDs[p_nOrder][1]);
			var l_strCGIParams = "vendor=" + arr_VendorIDs[p_nOrder][0];
			window.location.href = "http://www.fashiontrip.com/cgi-bin/redirect.pl?"
									+ l_strCGIParams;
		}
	}
	
