//----------------------------------------------------------------------------
//	VR_DRAGCODE.JS 													
//----------------------------------------------------------------------------

	var arrTargets = new Array();
	var dropTarget = null;		
	var dtSrc = "";
	var dtAltSrc = "";
	
	var elDragged = null;
	var origX;
	var origY;

	var boolOnTarget = false;
	
	function findTarget() {
//----------------------------------------------------------------------------
//	This function loops through all the elements on the page, looking for any 
//	that have the DROPTARGET attribute. if found, it tests the attribute for a
//	value of 'yes'. Once an element satisfies these requirements the function 
//	stops. the element is assigned to 'droptarget' and must implement an 
//	'altImg' attribute for the 'doMouseMove' image swap.
//----------------------------------------------------------------------------
		var targetCount = 0;

		for (var i = 0; i < document.all.length; ++i) {
			var szDT = document.all[i].getAttribute("DROPTARGET");
			if ((szDT != null) && (szDT.toUpperCase() == "YES")) {
				arrTargets[targetCount] = document.all[i];
				//db.debug('found: ' + arrTargets[targetCount].id);
				targetCount++;
				
			//	dropTarget = document.all[i];
			//	dtSrc = dropTarget.src;
			//	dtAltSrc = dropTarget.getAttribute("altImg");

			}
		}
	}
	
	function doMouseMove(eX, eY) {
//----------------------------------------------------------------------------
//	eX, eY:		coordinates of event
//
//	simulates the built-in onmousemove event.  this function also handles the 
//	dropTarget image switching
//----------------------------------------------------------------------------		
	//	db.debug('coords: '+eX + ', ' + eY);

		var offX = eX + 120;
		var offY = eY + 100;
		
	//	db.debug('testing <br>x: ' + offX + ', y: ' + offY + ' ...');
		
		for (var i = 0; i < arrTargets.length; i++) 
		{
			var tThis = arrTargets[i];
		//	db.debug('target #: ' + i + ' ' + arrTargets[i] + '<br>box:');
			var tTop = tThis.style.pixelTop;
			var tLeft = tThis.style.pixelLeft;
			var tBottom = tThis.height + tTop;
			var tRight = tThis.width + tLeft;
		//	db.debug('top: ' + tTop + ' left: ' + tLeft);
		//	db.debug('right: ' + tRight + ' bottom: ' + tBottom);
			if (((offX > tLeft) && (offX < tRight)) && ((offY > tTop) && (offY < tBottom)))
			{
		//		arrTargets[i].src = arrTargets[i].altImg;
		//		db.debug('over..');
			}
			else 
			{
		//		db.debug('regImg: ' + arrTargets[i].regImg);
		//		arrTargets[i].src = arrTargets[i].regImg;
			}
		}
	}

	
	function onTarget(pX, pY) {
//----------------------------------------------------------------------------
		// Mundo Offset
		var offX = pX + 120;
		var offY = pY + 100;
		
		//db.debug('testing <br>x: ' + offX + ', y: ' + offY + ' ...');
		
		for (var i = 0; i < arrTargets.length; i++) 
		{
			var tThis = arrTargets[i];
			//db.debug('target #: ' + i + '<br>box:');
			var tTop = tThis.style.pixelTop;
			var tLeft = tThis.style.pixelLeft;
			var tBottom = tThis.height + tTop;
			var tRight = tThis.width + tLeft;
			//db.debug('top: ' + tTop + ' left: ' + tLeft);
			//db.debug('right: ' + tRight + ' bottom: ' + tBottom);
		}
		if (((offX > tLeft) && (offX < tRight)) && ((offY > tTop) && (offY < tBottom)))
		{
			return true;
		}
		else 
		{
			return false;
		}
	}
		
	function doMouseUp(targetID, dccID) {
//----------------------------------------------------------------------------
//	eX, eY:		screen coordinates of the event
//
//	simulates the built-in onmouseup event
//----------------------------------------------------------------------------
		// shorthand
		var wec_user = window.external.currentuser;
		var tempDccs = new ActiveXObject("Dccs.Dccs.1");
		var thisDcc = tempDccs.getDccByID(dccID);
		
		wec_user.addDcc(thisDcc);
		saveDRStateInfo(thisDcc);
		wec_user.addEventLog("VRAddToDR", thisDcc.vendorID, thisDcc.dccID);

		}
		
	function saveDRStateInfo(p_objDcc) {
//----------------------------------------------------------------------------
		// save state info in DRState object
		var l_objDRState = window.external.PageState("DR");
		if (!l_objDRState)
			l_objDRState = new DRState();
		l_objDRState.m_strComponentType = "Dccs";
		l_objDRState.m_nCategory = p_objDcc.GetIntCategory();
		l_objDRState.m_strTabSelected = 'imgCatTab' + l_objDRState.m_nCategory;
		window.external.PageState("DR") = l_objDRState;
	}