//----------------------------------------------------------------------------
//	VR_MAIN.JS
//----------------------------------------------------------------------------

	var objState;
	
	var arrMundoNavs = new Array();
		arrMundoNavs[0] = 'Select';
		arrMundoNavs[1] = 'Walk';
		arrMundoNavs[2] = 'Tilt';
		
	var g_strCurrentStoreID = '';
	
	function initPage() {
//----------------------------------------------------------------------------
		displayAddressBar();
		
		// attempt to retrieve persistent data
		objState = window.external.PageState("VR");
		
		// passed later to initFlatMundo() : -1 inits without loading scene
		// (see initFlatMundo() in vr_flatmundoctrl.js) 
		var l_nSceneID = -1;
		
		//	tracks version of mundo that will be displayed
		var l_divActiveMundo = null;		
		
		if (objState)
		{			
			// PAGESTATE EXISTS - LOAD FROM THERE
			if (window.external.UseFlatMundo || (objState.m_nVendorID != 0))
			{	
				// load the persistent vendor into flat mundo
				l_nSceneID = objState.m_nVendorID;
				l_divActiveMundo = divFlatMundoCtrl;
			}
			else
				l_divActiveMundo = divTDMundoCtrl;
		}
		else
		{
			// W.E.PAGESTATE DOES NOT EXIST - LOAD MALL
			objState = new VRState(0);

			if (window.external.UseFlatMundo)
			{	
				// load flat mall
				l_nSceneID = 0;
				l_divActiveMundo = divFlatMundoCtrl;
			}
			else
				l_divActiveMundo = divTDMundoCtrl;
				
			saveVRState();
		} 
		//db.debug('loading scene: ' + l_nSceneID);
		initFlatMundo(l_nSceneID);
		showElem(l_divActiveMundo);
		
		window.external.EndWaitCursor();
	}
	
	function displayAddressBar() {
//----------------------------------------------------------------------------
		if (window.external.Voice.BuddyName)
		{
			showElem(divLongAddressButton);
			hideElem(imgShortAddressButton);
			divBuddyName.innerText = window.external.Voice.BuddyName;
		}
		else
		{
			showElem(imgShortAddressButton);
			hideElem(divLongAddressButton);
		}
	}

	function clickedLobbyButton() {
//----------------------------------------------------------------------------
		window.location.href="../main/lobby/lobby.html";
	}

	function clickedHelp() {
//----------------------------------------------------------------------------
		window.external.help('103');
	}

	function clickedFavStores() {
//----------------------------------------------------------------------------
		if (window.external.PageState("VR"))
			var l_nSavedState = window.external.PageState("VR").m_nVendorID;		
		
		show_dlg_favstores();
		
		if (window.external.PageState("VR").m_nVendorID)
		{
			if (l_nSavedState != window.external.PageState("VR").m_nVendorID)
			{
				if (isVendorValid(window.external.PageState("VR").m_nVendorID.toString()))
				{
					initFlatMundoWithSelectedVendor();
				}
				else
				{
					alert('Store does not exist for this Manufacturer!');
					window.external.PageState("VR").m_nVendorID = l_nSavedState;
				}
			}
		}
	}

	function clickedMallMap() {
//----------------------------------------------------------------------------
		if (window.external.PageState("VR"))
			var l_nSavedState = window.external.PageState("VR").m_nVendorID;

		show_dlg_mallmap();
		if (window.external.PageState("VR"))
		{
			if (window.external.PageState("VR").m_nVendorID)
			{
				if (l_nSavedState != window.external.PageState("VR").m_nVendorID)
				{
					if (isVendorValid(window.external.PageState("VR").m_nVendorID.toString()))
					{
						initFlatMundoWithSelectedVendor();
					}
					else
					{
						alert('Store does not exist for this Manufacturer!');
						window.external.PageState("VR").m_nVendorID = l_nSavedState;
					}
				}
			}
		}
	}

	function initFlatMundoWithSelectedVendor() {
//----------------------------------------------------------------------------
			if (divTDMundoCtrl.style.visibility == "visible")
				hideElem(divTDMundoCtrl);
				
			var l_nVendorID = window.external.PageState("VR").m_nVendorID;
			
			initFlatMundo(l_nVendorID);
			showElem(divFlatMundoCtrl);		
	}


	function clickedAddressBook() {
//----------------------------------------------------------------------------
		show_dlg_addbook();
		// if connection to buddy begins or ends while in dialog box,
		// change address bar
		displayAddressBar();
		objBrokerInit();
	}
	
	function clickedFFButton() {
//----------------------------------------------------------------------------
		window.location.href="../ff/ff_main.html";
	}
	
	function clickedDRoomButton() {
//----------------------------------------------------------------------------
		window.location.href = "../dr/dr_main.html";
	}
	
	function clickedVendorLogo() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		// String with leading zero defaults to base 8, set to base 10
		var l_nVendorID = parseInt(objState.m_nVendorID, 10);
	
		window.external.urlPropertyPage(
				"http://www.fashiontrip.com/cgi-bin/redirect.pl?vendor=" + l_nVendorID,
				"\\Html\\main\\property_pages\\pp_nav.html");
	}

	function clickedSync() {
//---------------------------------------------------------------------------- 		
		if (!window.external.Voice.BuddyName)
		{
			alert('You must be connected a Buddy to select "Friend\'s View."');
			return;
		}
		var l_strPacket = BuildPacket('VPT', 'Q', '');		
	}	
	
	function onHangup() {
//----------------------------------------------------------------------------
		//alert('Hangup');
		displayAddressBar();
	}
	
	function onReceivedBuddyNameAndEmail() {
//----------------------------------------------------------------------------
		//alert('onReceivedBuddyNameAndEmail');
		displayAddressBar();
	}
	
	