//----------------------------------------------------------------------------
//	DR_MAIN.JS
//----------------------------------------------------------------------------

	var arrTargets = new Array();
	var wec_user = window.external.currentuser;
	var strCurrentTab = '1';
	var objState;
	var g_objMann1;
	var g_objMann2;
	
	function InitPage() {
//----------------------------------------------------------------------------
		if (window.external.currentuser.skincolor == 0)
			show_dlg_profile();
		
		fillCaptionNames();		
		DressMannequins();
		AddHotRects(objMannequin1, false);
		AddHotRects(objMannequin2, false);

		// try to initialize from persistent object
		objState = window.external.PageState("DR");
		if (objState)
		{
			g_objMann1 = window.external.PageState("Mannequin1");
			g_objMann2 = window.external.PageState("Mannequin2");
			
			if (g_objMann1)
			{
				objMannequin1.DrawComponentOnColor(g_objMann1,
											window.external.currentuser.skincolor,
											255,255,255);
				// JESS, SEND PACKET TO BUDDY?
			}
			// dress mannequin2 if not connected to buddy 
			if (g_objMann2 && !window.external.Voice.BuddyName)
			{
				objMannequin2.DrawComponentOnColor(g_objMann2,
								window.external.currentuser.skincolor,
								255,255,255);
			}
			// selected tab must be tested separately, as it may not exist
			// even though an outfit does.
			if (objState.m_strTabSelected)
			{
				tabSelected(objState.m_strTabSelected,
							objState.m_strComponentType,
							objState.m_nCategory);		
			}
			else
				tabSelected('imgCatTab1', 'Outfits', -1);
		}
		// objState does not exist
		else
		{
			objState = new DRState();
			tabSelected('imgCatTab1', 'Outfits', -1);
		}
		
		createTargets();
		
		var pkt = BuildPacket('DCC','Q ','SYNC ');
		toggleGetItButtons(1);
		window.external.EndWaitCursor();
	}
	
	function AddHotRects(component, isInCloset)
	{
		// save
		component.AddHotRect(1, 135, 135+102, 139, 139+105, true);
		// remove
		component.AddHotRect(2, 135, 135+102, 140+105, 140+105+52, true);

		if(!isInCloset)
		{
			// closet is a target
			component.AddHotRect(3, 91, 91+616, 390, 390+120, false);
		}
		else
		{
			// mannequins are targs
			// m1
			component.AddHotRect(4, 200 + 38, 200 + 38 + 172, 45 + 30, 45 + 30+300, false);
			// m2
			component.AddHotRect(5, 200 + 214, 200 + 214 + 172, 45 + 30, 45 + 30 + 300, false);
		}
	}	
				
	function fillCaptionNames() {
//----------------------------------------------------------------------------
		//alert('refreshing mannequin names...');
		//	display user's name above mannequin
		captionUserName.innerText = window.external.currentuser.firstname;
		
		// display buddy first name on mannequin 2, if exists
		var l_strBuddyName = window.external.Voice.BuddyName;
		if (l_strBuddyName)
		{
			var arr_BuddyName = l_strBuddyName.split(" ");
			captionBuddyName.innerText = arr_BuddyName[0];
			objMannequin2.DROPTARGET = "NO";
			divMannequin2Container.DROPTARGET = "NO";
			createTargets();

		}
		else
		{
			captionBuddyName.innerText = window.external.currentuser.firstname;
			objMannequin2.DROPTARGET = "YES";
			divMannequin2Container.DROPTARGET = "YES";
			createTargets();

		}
	}

	function createTargets() {
//----------------------------------------------------------------------------
//	COMMENTS:	Scans HTML document looking for elements containing the
//				'DROPTARGET' attribute with a value of 'yes'. When an 
//				element is found, it's id is passed into the constructor
//				of the Target object(see target.js). The object returned from
//				the constructor is stored in the arrTargets array.
//----------------------------------------------------------------------------
		arrTargets = new Array();
		var l_nTargetCount = 0;
		for (var i = 0; i < document.all.length; i++)
		{
			var strDT = document.all[i].getAttribute("DROPTARGET");
			if ((strDT != null) && (strDT.toUpperCase() == "YES"))
			{
				var strAS = document.all[i].getAttribute("ACCEPTSOURCE");
				var strDSOT = document.all[i].getAttribute("DROPSOURCEONTARGET");
				arrTargets[l_nTargetCount] = new Target(document.all[i].id, strAS, strDSOT);
				l_nTargetCount++;
			}
		}
	}

		
	function fillCloset(strComponent, intCat) {
//----------------------------------------------------------------------------
//	COMMENTS:	the closet CANNOT show outfits and dccs at the same time.
//----------------------------------------------------------------------------
		// determine which objects to display via the parameters and build
		// the correct query
		switch (strComponent)
		{
			case "Outfits" :
				var param ="";
				var strInsertType = 'outfit';
				var tmp = "wec_user.getAllCloset" + strComponent + "(" + param +")";
				break;
			case "Dccs" :
				var param = parseInt(intCat);
				strComponent = 'DccsByCategory';
				var strInsertType = 'dcc';
				var tmp = "wec_user.getCloset" + strComponent + "(" + param +")";
				break;
		}
		//  'tmp' now contains the query. 'eval' (below) executes it.
		var objCollUserClosetObjects = eval(tmp);
		
	//	DYNAMICALLY PRODUCE THE COMPONENTS FOR THE CLOSET----------------
	
		var strCloset = '';
		var l_nOCSize = objCollUserClosetObjects.Size;
		for (var i = 0; i < l_nOCSize; i++)
		{	
			strCloset += getObjectString( i, strInsertType );
			strCloset += getEventHandlersString( i );
		}
		closetCell.innerHTML = strCloset;
		
		//  closet now contains necessary component controls. now fill them...
		
		for (var i = 0; i < l_nOCSize; i++)
		{
			var thisComponent = eval('objComponent' + i);
			var thisObject = objCollUserClosetObjects.GetAt(i);
			
			thisComponent.InitClosetComponent(
						thisObject,
						window.external.currentuser.skincolor,
						88);	
			AddHotRects(thisComponent, true);
		}
	}
	
	function getObjectString(p_nOrder, p_strInsertType) {
//----------------------------------------------------------------------------
		return ( '<OBJECT class="hand" ID="objComponent' + p_nOrder
			+ '" WIDTH=100 HEIGHT=88 '
			+ 'CLASSID="CLSID:1620C3FF-86B9-11D1-A8BF-00600829668D" '
			+ 'SOURCETYPE="' + p_strInsertType + '">'
			+ '<PARAM NAME="bkColor" VALUE=16777215></OBJECT>\n' );
	}
	
	function getEventHandlersString(p_nOrder) {
//----------------------------------------------------------------------------
		return ( '<script language="JavaScript" for="objComponent' + p_nOrder
			+ '" event="dblclickon">onClosetCompDblClick(this); </script>'
			+ '\n<script language="JavaScript" for="objComponent' + p_nOrder
			+ '" event="dragstart(x, y)">doMouseDown(this, x, y);</script>'
			+ '\n<script language="JavaScript" for="objComponent' + p_nOrder
			+ '" event="DragOver(id, obj)">doDragOver(id, obj);</script>'
			+ '\n<script language="JavaScript" for="objComponent' + p_nOrder
			+ '" event="DragOff(id, obj)">doDragOff(id, obj);</script>'
			+ '\n<script language="JavaScript" for="objComponent' + p_nOrder
			+ '" event="dragon(x, y)"> doMouseMove(x, y);</script>'
			+ '\n<script language="JavaScript" for="objComponent' + p_nOrder
			+ '" event="dragend(x, y)"> doMouseUp(x, y);</scr'
			+ 'ipt>\n\n' );
	}

	function DressMannequins() {
//----------------------------------------------------------------------------
		// draw naked mannequins
		var nakedOutfit = window.external.currentuser.createClosetOutfit();
		objMannequin1.DrawComponentOnColor(
						nakedOutfit,
						window.external.currentuser.skincolor,
						248, 237, 231);
	
		var nakedOutfit2 = window.external.currentuser.createClosetOutfit();
		objMannequin2.DrawComponentOnColor(
						nakedOutfit2,
						window.external.currentuser.skincolor,
						248, 237, 231);
	}


	function tabSelected(p_objElem, p_strComp, p_nCategory) {
//----------------------------------------------------------------------------
		window.external.BeginWaitCursor();
		window.external.PlayAudio('gmouseup.wav');
		// save state info
		objState.m_strTabSelected = p_objElem;
		objState.m_strComponentType = p_strComp;
		objState.m_nCategory = p_nCategory;
		
		// hide any other active tabs
		for (i = 0; i < 11 ; i++) 
		{
			var l_strElem = "imgCatTab" + (i + 1);
			if (l_strElem != p_objElem.id)
				hideElem(eval(l_strElem));
		}
		showElem(p_objElem);
		strCurrentTab = p_objElem;
		
		fillCloset(p_strComp, p_nCategory);
		if (p_nCategory == 7 || p_nCategory == 10 || p_nCategory == 11)
		{
			alert("Items in this category cannot be added to a mannequin.");
		}
		window.external.EndWaitCursor();
	}
	
	function clickedFavVendorButton() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		if (window.external.PageState("VR"))
		{
			var l_nSavedState = window.external.PageState("VR").m_nVendorID;
			window.external.PageState("VR").m_bChanged = false;
		}

		show_dlg_favstores();

		if (window.external.PageState("VR"))
			if (window.external.PageState("VR").m_bChanged)
				window.location.href = "../vr/vr_main.html";
	}
	
	function clickedAddressBook() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		show_dlg_addbook();
		objBrokerInit();	
	}
	
	function clickedMallMapButton() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		if (window.external.PageState("VR"))
		{
			var l_nSavedState = window.external.PageState("VR").m_nVendorID;
			window.external.PageState("VR").m_bChanged = false;
		}			

		show_dlg_mallmap();
		
		if (window.external.PageState("VR"))
			if (window.external.PageState("VR").m_bChanged)
				window.location.href = "../vr/vr_main.html";
	}
	
	function clickedProfile() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		var l_nOldSC = window.external.currentuser.skincolor;
		
		// save current clothes on mannequins for redrawing
		var l_objM1Component = objMannequin1.Component;
		var l_objM2Component = objMannequin2.Component;
		
		show_dlg_profile();
		
		if (window.external.currentuser.skincolor != l_nOldSC)
		{	
				refreshCurrentCategory();
					
			// if mannequins had outfits, redraw them.
			objMannequin1.DrawComponentOnColor(
						l_objM1Component,
						window.external.currentuser.skincolor,
						248, 237, 231);
			// don't change buddy mann color if connected
			if (!window.external.Voice.BuddyName)					
				objMannequin2.DrawComponentOnColor(
							l_objM2Component,
							window.external.currentuser.skincolor,
							248, 237, 231);	
		}
	}
	
	function refillCloset() {
//----------------------------------------------------------------------------
// redraws the current closet category

		var l_strObjType = '';
		var l_nCategory = '';

		var l_strImgNum =
			strCurrentTab.substring( strCurrentTab.length - 1,
									 strCurrentTab.length );
		if (l_strImgNum == 1)
		{
			l_strObjType = 'Outfits';
			l_nCategory = -1;
		}
		else
		{
			l_strObjType = 'Dccs';
			l_nCategory = l_strImgNum;
		}				
		fillCloset(l_strObjType, l_nCategory);
	}
	
	function clickedHelp() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		window.external.help('109');
	}
	
	function isMannequinEmpty(p_objComp) {
//----------------------------------------------------------------------------
		var l_ocDccColl = p_objComp.getDCCCollection();
		if (l_ocDccColl.Size) 
			return false;
		else
			return true;
	}
	
	function toggleGetItButtons(p_nButtonNum) {
//----------------------------------------------------------------------------
		if (p_nButtonNum == 1)
		{
			showElem(imgGetItButton1);
			hideElem(imgGetItButton2);
		}
		else
		{
			showElem(imgGetItButton2);
			hideElem(imgGetItButton1);
		}
			
	}
	
	

	function onMannequinDblClick(p_objMannequin) {
//----------------------------------------------------------------------------
		window.external.PageState("MannequinClicked") = p_objMannequin;
		//alert(window.external.PageState("MannequinClicked"));
		if (!isMannequinEmpty(p_objMannequin.Component))
		{
			showElem(divMask);
			window.external.propertypage(p_objMannequin.Component,
							"\\Html\\main\\property_pages\\pp_main.html",
							"\\Html\\main\\property_pages\\pp_nav.html");
			hideElem(divMask);
		}
		window.external.PageState("MannequinClicked") = new Object();
		//alert(window.external.PageState("MannequinClicked"));

	}

	function onClosetCompDblClick(p_objCompCtrl) {
//----------------------------------------------------------------------------		
		showElem(divMask);
		window.external.propertypage(
			p_objCompCtrl.component,				
			"\\Html\\main\\property_pages\\pp_main.html",
			"\\Html\\main\\property_pages\\pp_nav.html");
		hideElem(divMask);
	}
	
	function clickedSave() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		
		// ensure the mannequin is not naked
		var l_nActiveMann = getActiveMannequin();		
		var l_elemMannequin = document.all['objMannequin' + l_nActiveMann];
		var l_ocDccs = l_elemMannequin.Component.getDCCCollection();
		if (l_ocDccs.Size == 0)
			return;

		show_dlg_saveoutfit();
		var l_objReturnValue = window.external.PageState("SaveOutfit");
		if (l_objReturnValue.m_bSave)
		{
			// determine the mannequin to be saved
			var l_nActiveMann = getActiveMannequin();
			var l_elemMannequin = document.all['objMannequin' + l_nActiveMann];
			// ensure the mannequin is not naked
			var l_ocDccs = l_elemMannequin.Component.getDCCCollection();
			if (l_ocDccs.Size == 0)
				return;
				
			var l_objSource =
				new Source(l_elemMannequin);

			// Save the outfit and refresh the pick-list
			dsotCloset(l_objSource);
		}
	}

	function clickedRemove() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		show_dlg_remove();
		
		var l_objReturnValue = window.external.PageState("RemoveItems");
		if (l_objReturnValue)
			switch(l_objReturnValue.m_nRemove)
			{
				// remove outfit from mannequin
				case 1:
				
					var l_nActiveMann = getActiveMannequin();
					if (!window.external.Voice.BuddyName)
					{
						// determine the mannequin to be cleared
						var l_objSource =
							new Source(document.all['objMannequin' + l_nActiveMann]);
					}
					else
					{
						// user is connected buddy, only allow mann1 to be cleared
						if (l_nActiveMann == 1)
							var l_objSource =
								new Source(document.all['objMannequin' + l_nActiveMann]);
						else
						{
							alert('You can\'t clear your buddy\'s mannequin!');
							return;
						}
					}
					dsotRemove(l_objSource);
					break;
					
				// REMOVE ALL DCCS BY CATEGORY OR ALL OUTFITS
				case 2:
					// query should not execute for outfits
					if (objState.m_nCategory != 1)
						var l_nDccCount = window.external.currentuser.GetClosetDccCount(
														parseInt(objState.m_nCategory));
					else
					{
						// remove outfits
						window.external.currentuser.RemoveFromCloset(2, null);
						refreshCurrentCategory();
						return;
					}
					if (l_nDccCount > 0)
					{
						if (!(confirm('This category contains items used in outfits.\n'
								+ 'removing them will delete these outfits also.\n'
								+ 'Continue?')))
							return;
					}
					// remove dccs by category and any outfits containing them
					window.external.currentuser.RemoveFromCloset(1, parseInt(objState.m_nCategory));
					refreshCurrentCategory();
					break;
				// REMOVE ALL ITEMS FROM CLOSET
				case 3:
					if (confirm('Are you sure you want to delete all items in your closet?'))
						window.external.currentuser.RemoveFromCloset(1, null);
					refreshCurrentCategory();
					break;
			}
	}

	function refreshCurrentCategory() {
//----------------------------------------------------------------------------
		//alert(objState);
		if (objState.m_strTabSelected)
		{
			tabSelected(objState.m_strTabSelected,
				objState.m_strComponentType,
				objState.m_nCategory);		
		}
	}

	function getActiveMannequin() {
//----------------------------------------------------------------------------
		if (imgGetItButton1.style.visibility == 'visible')
			return 1;
		return 2;
	}

	function onReceivedBuddyNameAndEmail() {
//----------------------------------------------------------------------------
		//alert('onReceivedBuddyNameAndEmail');
		// change the name above the buddy mannequin
		fillCaptionNames();
		
		//save the previous mannequin if necessary
		var l_objComponent = objMannequin2.Component;
		var l_ocDccs = l_objComponent.getDCCCollection();
		
		// only save outfit if there are DCCs on it...
		if (l_ocDccs.Size > 0)
		{
			window.external.PageState("UserRightMann") = l_objComponent;
		}
		
		// create new clean outfit for buddy's dccs
		var l_objNewOutfit = window.external.currentuser.createClosetOutfit();
		objMannequin2.DrawComponentOnColor(
						l_objNewOutfit,
						window.external.currentuser.skincolor,
						248, 237, 231);

		// change the droptarget attribute of objmannequin2 to no
		// and recreate targets. 
		//objMannequin2.DROPTARGET = "NO";
		//divMannequin2Container.DROPTARGET = "NO";
		//createTargets();
		// get the buddy's dccs
		var pkt = BuildPacket('DCC','Q ','SYNC ');
	}

	function onHangup() {
//----------------------------------------------------------------------------
		fillCaptionNames();
		
		var l_objPrevComponent = window.external.PageState("UserRightMann");
		
		if (l_objPrevComponent)
		{
			if (confirm('Click OK to restore the outfit you had\n'
						+ 'on your mannequin before the connection.\n'
						+ 'Click CANCEL to keep what you see now.'))
			{
				//objMannequin2.Component = l_objPrevComponent;
				//var l_ocDccs = objMannequin2.Component.getDCCCollection();
				objMannequin2.DrawComponentOnColor(
					l_objPrevComponent,
					window.external.currentuser.skincolor,
					248, 237, 231);
			}
		}		
		// change the droptarget attribute of objmannequin2 back to yes
		// and recreate targets. 
		objMannequin2.DROPTARGET = "YES";
		divMannequin2Container.DROPTARGET = "YES";
		createTargets();
	}












	