//----------------------------------------------------------------------------
//	DLG_ADDBOOK.JS
//----------------------------------------------------------------------------

	var ipAddress = null;
	var BUDDYEMAILSPACING = 1;
	var USER_CONNECTED = window.external.NetConnect1.IsConnected();
	var PHONE_ENABLED = window.external.IsIPhoneEnabled;

	var PRES_PRIVACY_NONE = 0;							// ACCEPT ALL
	var PRES_PRIVACY_ALL_BUT_DENY = 1;					// ACCEPT ALL BUT BLOCK LIST
//	var PRES_PRIVACY_NONE_BUT_ACCEPT = 2;				// NOT USED IN FAVOR OF ....
	var PRES_PRIVACY_NONE_BUT_ACCEPT_AND_BUDDIES = 3;	// ACCEPT NONE BUT ACCEPT LIST AND BUDDY LIST
	var PRES_PRIVACY_CLOSED = 4;						// ACCEPT NONE

	function initPage() {
//----------------------------------------------------------------------------
		// allows toggle to work on first click
		imgCollapsedBorder.style.visibility = 'visible';
		refreshList();
		initPrivacy();
		window.external.EndWaitCursor();
	}
		
	function parseOptionText(p_opt) {
//----------------------------------------------------------------------------
//	takes an option and returns an array
//----------------------------------------------------------------------------
		var l_arrParsed = p_opt.text.split(",");
		l_arrParsed[1] =
			l_arrParsed[1].substring(BUDDYEMAILSPACING, l_arrParsed[1].length);
		return l_arrParsed;
	}
	
	function refreshList() {
//----------------------------------------------------------------------------
		// remove old entries
		var l_nSelectLength = selectNameList.options.length;
		while ( l_nSelectLength > 0)
		{
			selectNameList.options.remove(l_nSelectLength - 1);
			l_nSelectLength--;
		}	
		
		// query for all buddies
		var l_ocBuddyCollection = window.external.currentuser.getBuddys();
		var l_nOCBuddyCollSize = l_ocBuddyCollection.Size;

		var arrListText = new Array();
		var arrListValue = new Array();
		var arrListColor = new Array();

		for ( i = 0; i < l_nOCBuddyCollSize; i++)
		{
			var l_objBuddy = l_ocBuddyCollection.GetAt(i);
			
			// detect buddy online status
			var ipAddrVoice =
				window.external.ObjBroker.GetPresenceUser1(l_objBuddy.email);
			var ipAddrVoiceArr = ipAddrVoice.split(",");
			ipAddress = ipAddrVoiceArr[0];
			var voiceEnabled = ipAddrVoiceArr[1];
		
			// create option object and add it to the listbox
			var l_opt = document.createElement("OPTION");
						
			// change text to blue if offline
			if (ipAddress == 'Not Present')
			{
				l_opt.style.color = 'blue';
			}

			//change text to red if is connected buddy
			if (l_objBuddy.email == window.external.Voice.BuddyEmail)
			{
				l_opt.style.color = 'red';
			}

			//indent 5 spaces (as per spec) if buddy offline
			if (ipAddress == 'Not Present' && (l_objBuddy.email != window.external.Voice.BuddyEmail))
			{				
				l_opt.text = "     " + l_objBuddy.name + ', ' + l_objBuddy.email;
			}
			else
			{
				l_opt.text = l_objBuddy.name + ', ' + l_objBuddy.email;
			}

			l_opt.value = ipAddrVoice;

			//add new option to temp sort arrays
			arrListText[i] = l_opt.text;
			arrListValue[i] = l_opt.value;
			arrListColor[i] = l_opt.style.color;
		}
		
		//sort the options -- "Joe Style"
		//crude algorithm -- Please fix me later
		//add red(s) first
		for (i = 0; i < l_nOCBuddyCollSize; i++)
		{
			if (arrListColor[i] == 'red')
			{				
				var l_opt = document.createElement("OPTION");
				l_opt.text = arrListText[i];
				l_opt.value = arrListValue[i];
				l_opt.style.color = arrListColor[i];
				// add new option to select listbox
				var l_nSelectLength = selectNameList.options.length
				selectNameList.options.add(l_opt, l_nSelectLength);
			}
		}

		//add black(s) next
		for (i = 0; i < l_nOCBuddyCollSize; i++)
		{
			if (arrListColor[i] == '')
			{				
				var l_opt = document.createElement("OPTION");
				l_opt.text = arrListText[i];
				l_opt.value = arrListValue[i];
				l_opt.style.color = arrListColor[i];
				// add new option to select listbox
				var l_nSelectLength = selectNameList.options.length
				selectNameList.options.add(l_opt, l_nSelectLength);
			}
		}

		//add blue(s) next
		for (i = 0; i < l_nOCBuddyCollSize; i++)
		{
			if (arrListColor[i] == 'blue')
			{				
				var l_opt = document.createElement("OPTION");
				l_opt.text = arrListText[i];
				l_opt.value = arrListValue[i];
				l_opt.style.color = arrListColor[i];
				// add new option to select listbox
				var l_nSelectLength = selectNameList.options.length
				selectNameList.options.add(l_opt, l_nSelectLength);
			}
		}


		selectNameList.selectedIndex = -1;
		// disabled the Phone and Chat buttons
		hideElem(imgPhoneButton);
		hideElem(imgChatButton);
	}

	function optionSelected(p_option) {
//----------------------------------------------------------------------------
		// determine whether the selected buddy has voice enabled or not
		var l_bBuddyHasVoiceEnabled = false;
		var l_strOptionValue = new String(p_option.value);
		var l_arrOptionValues = l_strOptionValue.split(",");
		if(l_arrOptionValues[1])
			 l_bBuddyHasVoiceEnabled = true;
		
		var l_strBuddyTextColor = selectNameList[selectNameList.selectedIndex].style.color;

		if ((USER_CONNECTED && (l_strBuddyTextColor != 'blue')) &&
			(window.external.Voice.BuddyEmail.length < 1))
			{
				showElem(imgChatButton);
				if (PHONE_ENABLED && l_bBuddyHasVoiceEnabled)
					showElem(imgPhoneButton);
				else
					hideElem(imgPhoneButton);
			}
		else
		{
			hideElem(imgPhoneButton);
			hideElem(imgChatButton);
		}
			
		window.external.PlayAudio('gmouseup.wav');
		var l_optSelectedOpt = selectNameList[selectNameList.selectedIndex];
		
		var l_optUnusedNew = checkForUnusedNewBuddy();
		if (l_optUnusedNew)
			selectNameList.remove(selectNameList.options.length - 1);
			
		if (l_optSelectedOpt.index > -1)
		{
			fillInputs();
			textName.focus();
		}
		else
			clearInputs();
	}
	
	function toggleEntryDisabledState(p_bDisabled) {
//----------------------------------------------------------------------------
		textName.disabled = p_bDisabled;
		textEmail.disabled = p_bDisabled;
	}

	
	function fillInputs() {
//----------------------------------------------------------------------------
		var l_strSelectedOpt = selectNameList[selectNameList.selectedIndex];
		var l_arrEntry = parseOptionText(l_strSelectedOpt);
		if (l_arrEntry[0].substring(0,5) != "     ")
		{
			textName.value = l_arrEntry[0];		
		}
		else
		{
			textName.value = l_arrEntry[0].substring(5,l_arrEntry[0].length);
		}
		textEmail.value = l_arrEntry[1];
		toggleEntryDisabledState(false);
	}
	
	function clearInputs() {
//----------------------------------------------------------------------------
		textName.value = '';
		textEmail.value = '';
		toggleEntryDisabledState(true);
	}

	function toggleSize() {
//----------------------------------------------------------------------------	
		window.external.PlayAudio('gmouseup.wav');
		if (imgCollapsedBorder.style.visibility == 'visible')
		{
			showElem(imgExpandedBorder);
			hideElem(imgCollapsedBorder);
			window.external.resizeBrowser(418, 439);
			initPrivacy();
		//	textAcceptFrom.disabled = false;
		//	textBlockFrom.disabled = false;			
		}
		else
		{
			window.external.resizeBrowser(418, 352);			
			showElem(imgCollapsedBorder);
			hideElem(imgExpandedBorder);
			textAcceptFrom.disabled = true;
			textBlockFrom.disabled = true;
		}
	}
	
	function checkForUnusedNewBuddy() {
//----------------------------------------------------------------------------
// returns option found
//----------------------------------------------------------------------------
		// get last option in list
		if (selectNameList.options.length > 0)
		{
			var l_opt = selectNameList[selectNameList.options.length - 1];
		
			// check for modification. if none, delete option
			var l_arrEntry = parseOptionText(l_opt);
			
			if (l_arrEntry[1] == 'NewBuddy@isp.com')
				return l_opt;
		}
		return null;
	}
	
	function clickedNew() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		var l_optUnusedNew = checkForUnusedNewBuddy(); 
	
		// if no new buddy exists add new option
		if (!l_optUnusedNew)
		{
			var l_optNew = document.createElement("OPTION");
			l_optNew.text = '     New Buddy, NewBuddy@isp.com';
			selectNameList.options.add(l_optNew, selectNameList.options.length);
		}	
		
		// select the option
		selectNameList.selectedIndex = selectNameList.options.length - 1;		

		// fill inputs
		fillInputs();
		textName.focus();
	}
	
	function validNewBuddy() {
//----------------------------------------------------------------------------
		// if valid, return true
		if (textName.value == '')
		{
			alert('The name field cannot be blank. Please enter a name.');
			if (!textName.disabled)
				textName.focus();
			return false;
		}	
		if (textEmail.value == '')
		{
			alert('The email field cannot be blank. Please enter an email address.');
			if (!textEmail.disabled)
				textEmail.focus();
			return false;
		}
		else if (textEmail.value != 'NewBuddy@isp.com')
			return true;
		else
		{
			alert('The email address is not valid. Please enter an email address.');
			textEmail.select();
			return false;
		}
	}
	
	function clickedUpdate() {
//----------------------------------------------------------------------------
//	l_objBuddyToUpdate holds the buddy object that will be changed,
//		whether it is new or an existing one.
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		var l_objBuddyToUpdate = null;

		if (validNewBuddy())
		{
			// get the email of the selected option
			if (selectNameList.selectedIndex > -1)
			{
				var l_optSelectedOpt =
					selectNameList[selectNameList.selectedIndex];
				
				var l_arrEntry = parseOptionText(l_optSelectedOpt);
				var l_selectedBuddyEmail = l_arrEntry[1];
				
				// try to match email portion of the selected option
				// with an existing buddy email
				var l_ocBuddys = window.external.currentuser.getBuddys();
				var l_ocBuddySize = l_ocBuddys.Size;
				for (i = 0; i < l_ocBuddySize; i++)
				{
					l_objTempBuddy = l_ocBuddys.GetAt(i);
					if (l_selectedBuddyEmail == l_objTempBuddy.email)
					{
						l_objBuddyToUpdate = l_objTempBuddy;
						break;
					}
				}
				
				// if no match is found, create a new buddy object
				if (!l_objBuddyToUpdate)
					l_objBuddyToUpdate = window.external.currentuser.createBuddy();
				
				// update buddy object values with data from input fields
				l_objBuddyToUpdate.name = textName.value;
				l_objBuddyToUpdate.email = textEmail.value;
				
				// update db
				window.external.currentuser.updateBuddy(l_objBuddyToUpdate);
			}
			// user did not clicked new before typing in new buddy
			else
			{
				l_objBuddyToUpdate = window.external.currentuser.createBuddy();
				
				// update buddy object values with data from input fields
				l_objBuddyToUpdate.name = textName.value;
				l_objBuddyToUpdate.email = textEmail.value;
				
				// update db
				window.external.currentuser.updateBuddy(l_objBuddyToUpdate);
			}
			clearInputs();
			refreshList();
			selectNameList.focus();
			selectNameList.selectedIndex = selectNameList.length - 1;
		}	
	}
	
	function clickedRemove() {
//----------------------------------------------------------------------------
//  - CURRENTLY, THIS FUNCTION RELIES ON THE ORDER OF THE LIST MATCHING THE 
//		ORDER OF THE BUDDYS.  THIS WILL CHANGE WHEN SORTING THE BUDDIES IS
//		IMPLEMENTED. THE FOR/SEARCH/BREAK ALGORITHM WILL NEED TO BE ADDED 
//		SO THAT THE CORRECT BUDDY IS REMOVED
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		if (selectNameList.selectedIndex > -1)
		{
			var l_ocBuddys = window.external.currentuser.getBuddys();
			var l_nOCBuddySize = l_ocBuddys.Size;
			
			// if selectedIndex >= l_ocBuddys.Size, the selected option is new buddy,
			// don't try to delete a buddyobject, because it doesn't exist.
			if (selectNameList.selectedIndex < l_ocBuddys.Size)
			{
				// get the option selected and parse the text
				var l_strSelectedOpt = selectNameList[selectNameList.selectedIndex];
				var l_arrEntry = parseOptionText(l_strSelectedOpt);
				
				// delete leading white space from display text
				while (l_arrEntry[0].substring(0, 1) == " ")
					l_arrEntry[0] = l_arrEntry[0].substring(1, l_arrEntry[0].length);
					
				// look for matching buddy object				
				for(i = 0; i < l_nOCBuddySize; i++)
				{
					var l_objBuddy = l_ocBuddys.GetAt(i);
					
					if (l_objBuddy.name == l_arrEntry[0])
					{
						if (confirm("Are you sure you want to delete this buddy?"))
						{
							window.external.currentuser.deleteBuddy(l_objBuddy);				
							window.external.ObjBroker.DeleteBuddy(l_objBuddy.email);
						}
						break;
					}
				}
			}
			
			// remove the option
			selectNameList.remove(selectNameList.selectedIndex);
			
			clearInputs();
			refreshList();
		}
	}
	
	function clickedClose() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		if(selectNameList.selectedIndex > -1)
			if((textName.value != '') &&
				(textEmail.value != '') &&
				(textEmail.value != 'NewBuddy@isp.com'))
			{
				clickedUpdate();
			}
		window.external.closeBrowser();
	}
	
	function isConnected() {
//----------------------------------------------------------------------------
		if (!window.external.NetConnect1.IsConnected())
			return false;
		return true;
	}
	
	function isBuddySelected() {
//----------------------------------------------------------------------------
		if (selectNameList.selectedIndex == -1)
		{
			//alert("No Buddy Selected.");
			return false;
		}
		return true;		
	}
	
	function clickedPhone() {
//----------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		if (!window.external.NetConnect1.IsConnected()) return;
		if (!isBuddySelected()) return;

		var optionSelected = selectNameList[selectNameList.selectedIndex];
	
		var buddyName = optionSelected.text;
		var buddyNameArr = buddyName.split(",");

		ipAddrVoice = optionSelected.value;
		ipAddrVoiceArr = ipAddrVoice.split(",");

		if (buddyNameArr[1] != window.external.currentuser.email)
		{
			if (window.external.ConnectedBuddyName)
			{
				if (window.external.ConnectedBuddyName != buddyNameArr[1])
				{
					window.external.Voice.Hangup();
					window.external.ConnectedBuddyName = buddyNameArr[1];
				}
			}
			else
			{
				window.external.ConnectedBuddyName = buddyNameArr[1];				
			}

			window.external.Voice.CallVoice(ipAddrVoiceArr[0]);
			window.external.closeBrowser();
		}
	}

	function clickedChat() {
//---------------------------------------------------------------------------
		window.external.PlayAudio('gmouseup.wav');
		if (!window.external.NetConnect1.IsConnected()) return;
		if (!isBuddySelected()) return;

		var optionSelected = selectNameList[selectNameList.selectedIndex];

		var buddyName = optionSelected.text;
		var buddyNameArr = buddyName.split(",");

		ipAddrVoice = optionSelected.value;
		ipAddrVoiceArr = ipAddrVoice.split(",");

		if (buddyNameArr[1] != window.external.currentuser.email)
		{
			if (window.external.ConnectedBuddyName)
			{
				if (window.external.ConnectedBuddyName != buddyNameArr[1])
				{
					window.external.Voice.Hangup();
					window.external.ConnectedBuddyName = buddyNameArr[1];				
				}
			}
			else
			{
				window.external.ConnectedBuddyName = buddyNameArr[1];				
			}

			window.external.Voice.CallChat(ipAddrVoiceArr[0]);
			window.external.closeBrowser();
		}
	}
	
//----------------------------------------------------------------------------
// PRIVACY
//----------------------------------------------------------------------------

	function initPrivacy() {
//----------------------------------------------------------------------------
		textAcceptFrom.value = window.external.currentuser.AcceptList;
		textBlockFrom.value = window.external.currentuser.BlockList;

		clickedRadio(window.external.currentuser.PrivacyType);
	}
	
	
//	var PRES_PRIVACY_NONE = 0;							// ACCEPT ALL
//	var PRES_PRIVACY_ALL_BUT_DENY = 1;					// ACCEPT ALL BUT BLOCK LIST
//	var PRES_PRIVACY_NONE_BUT_ACCEPT_AND_BUDDIES = 3;	// ACCEPT NONE BUT ACCEPT LIST AND BUDDY LIST
//	var PRES_PRIVACY_CLOSED = 4;						// ACCEPT NONE


	function clickedRadio(p_nRadio) {
//----------------------------------------------------------------------------
//	Change ObjBroker settings to reflect the settings chosen by the user...
//	
//	Questions: 
//		- if 4, 0:	do the a/d lists need to be reset?
//		- if 3:		then a list reset, do the buddies need to be reentered into list
//----------------------------------------------------------------------------		
		window.external.PlayAudio('gmouseup.wav');
		if (window.external.currentuser.PrivacyType != p_nRadio)
		{
			window.external.currentuser.PrivacyType = p_nRadio;
			var l_objUsers = new ActiveXObject("Users.Users.1");
			l_objUsers.updateUser(window.external.currentuser);
		}
		
  		switch (p_nRadio)
		{
		    case 3:
				// accept calls from list only (+ buddies)
				imgRadioOn.style.top = 5;	
				textAcceptFrom.disabled = false;
				textBlockFrom.disabled = true;
				//window.external.ObjBroker.privacyMode = window.external.currentuser.PrivacyType;
					//PRES_PRIVACY_NONE_BUT_ACCEPT_AND_BUDDIES;
				break;
		    case 1:
				// block calls from list
		  		imgRadioOn.style.top = 21;	
				textBlockFrom.disabled = false;
				textAcceptFrom.disabled = true;
				//window.external.ObjBroker.privacyMode = p_nRadio;//PRES_PRIVACY_ALL_BUT_DENY;
				break;
		    case 4:
		  		// block all calls
				imgRadioOn.style.top = 37;	
				textBlockFrom.disabled = true;
				textAcceptFrom.disabled = true;
				//window.external.ObjBroker.privacyMode = PRES_PRIVACY_CLOSED;				
				break;
		    case 0:
		  		// accept all calls
				imgRadioOn.style.top = 53;	
				textBlockFrom.disabled = true;
				textAcceptFrom.disabled = true;
				//window.external.ObjBroker.privacyMode = PRES_PRIVACY_NONE;
				break;
		}
		window.external.ObjBroker.privacyMode =
			window.external.currentuser.PrivacyType;
	}
	
	function onChangedAcceptList() {
//----------------------------------------------------------------------------
		window.external.currentuser.Acceptlist = textAcceptFrom.value;
		var l_objUsers = new ActiveXObject("Users.Users.1");		
		l_objUsers.updateUser(window.external.currentuser);
		window.external.ObjBroker.PrivacyResetAccept();	
		if (textAcceptFrom.value != '')
		{
			var arr_FinalList = new Array();
			// fill the ObjBroker's accept and deny lists with values from the user			
			var arr_strAcceptList =
				window.external.currentuser.AcceptList.split(",");
			for (j = 0; j < arr_strAcceptList.length; j++)
			{
				arr_FinalList = arr_FinalList.concat(arr_strAcceptList[j].split(" "));	
			}
			for (xx = 0; xx < arr_FinalList.length; xx++)
			{
				if (arr_FinalList[xx] != '')
				{
				//	alert('Final' + xx + ':>' + arr_FinalList[xx] + '<');
					window.external.ObjBroker.PrivacyAddAccept(
						arr_FinalList[xx]);
				}
			}
		}
	}

	function onChangedBlockList() {
//----------------------------------------------------------------------------
		window.external.currentuser.Blocklist = textBlockFrom.value;
		var l_objUsers = new ActiveXObject("Users.Users.1");		
		l_objUsers.updateUser(window.external.currentuser);
		window.external.ObjBroker.PrivacyResetDeny();
		if (textBlockFrom.value != '')
		{
			var arr_FinalList = new Array();
			// fill the ObjBroker's accept and deny lists with values from the user			
			var arr_strBlockList =
				window.external.currentuser.BlockList.split(",");
			for (j = 0; j < arr_strBlockList.length; j++)
			{
				arr_FinalList = arr_FinalList.concat(arr_strBlockList[j].split(" "));	
			}
			for (xx = 0; xx < arr_FinalList.length; xx++)
			{
				if (arr_FinalList[xx] != '')
				{
					//alert('Final' + xx + ':>' + arr_FinalList[xx] + '<');
					window.external.ObjBroker.PrivacyAddDeny(
						arr_FinalList[xx]);
				}
			}
		}
	}
	
	function onTextEmailKeyUp(p_objEvent) {
//----------------------------------------------------------------------------
		if(p_objEvent.keyCode == 13)
		{
			clickedUpdate();
		}
	}
	
	function onSelectNameKeyUp(p_objEvent) {
//----------------------------------------------------------------------------
		if (p_objEvent.keyCode == 46)
		{
			clickedRemove();
		}
	}
	
	
	
	
	
	
	