//----------------------------------------------------------------------------
//	LOBBY.JS
//----------------------------------------------------------------------------

	var PRES_PRIVACY_NONE = 0;							// ACCEPT ALL
	var PRES_PRIVACY_ALL_BUT_DENY = 1;					// ACCEPT ALL BUT BLOCK LIST
	var PRES_PRIVACY_NONE_BUT_ACCEPT_AND_BUDDIES = 3;	// ACCEPT NONE BUT ACCEPT LIST AND BUDDY LIST
	var PRES_PRIVACY_CLOSED = 4;						// ACCEPT NONE


	function initPage() {
//----------------------------------------------------------------------------
		// display purchase button if not shrinkwrap version
		if (window.external.Version() != 3)
			showElem(imgPurchaseButton);
		//else if (true)	// testing
		else if (window.external.IsExpired())
		{
			showElem(imgResubButton);
		}
		
		initDataTransferObjects();		
		window.external.EndWaitCursor();
		
	}	
		
	function initDataTransferObjects() {
//----------------------------------------------------------------------------
		// set up object broker and voice objects
		if (window.external.ObjBroker == null)
		{
			window.external.ObjBroker =
				new ActiveXObject("ObjectBroker.ObjectBroker.1");
			window.external.ObjBroker.GetPresenceLogon1(
				window.external.currentuser.email,
				window.external.NetConnect1.IsConnected(),
				true);
				
			// Load user privacy
			window.external.ObjBroker.privacyMode =
				window.external.currentuser.PrivacyType;

			// reset accept and deny lists
			//window.external.ObjBroker.PrivacyResetAccept();
			//window.external.ObjBroker.PrivacyResetDeny();

			// fill the ObjBroker's accept and deny lists with values from the user			
			var arr_strAcceptList =
				window.external.currentuser.AcceptList.split(",");
			//alert(arr_strAcceptList);
			for (j = 0; j < arr_strAcceptList.length; j++)
			{
				if (arr_strAcceptList[j] != '')
				{
					window.external.ObjBroker.PrivacyAddAccept(
											arr_strAcceptList[j]);
				}
			}
	
			var arr_strBlockList =
				window.external.currentuser.BlockList.split(",");
			//alert(arr_strBlockList);
			for (k = 0; k < arr_strBlockList.length; k++)
			{
				if (arr_strBlockList[k] != '')
				{
					window.external.ObjBroker.PrivacyAddDeny(
												arr_strBlockList[k]);
				}
			}
			// DEBUGGING
			//window.external.ObjBroker.CheckPrivacyLists();
		}

		// whether created here or existed before, call next function
		objBrokerInit();
				
		if (window.external.Voice == null)
		{
			var l_strUserName =	window.external.currentuser.firstname 
								+ ' ' + window.external.currentuser.lastname;
			window.external.Voice = new ActiveXObject("Voice.Voice.1");
			//if (window.external.currentuser.PrivacyType != 2)
			//{
				var bNMWizardCheck = window.external.Voice.NMWizardCheck();
				if (!bNMWizardCheck) //ie., missing registry settings
				{
					//alert("fashion>>trip requires Microsoft NetMeeting to be initialized in order to use the conferencing features. The following wizard will help you setup your speakers and microphone.");
				//	//setup missing registry settings
				//	var eMailName = window.external.currentuser.email;
				//	var firstName = window.external.currentuser.firstname;
				//	var lastName = window.external.currentuser.lastname;
				//	if (lastName.length < 2)
				//	{
				//		lastName = "UserLastName";
				//	}
				//	var userCity = "NM setup city";
				//	var userCountry = "NM setup country";
				//
				//	window.external.Voice.DisableNMWizard(
				//		eMailName,firstName,lastName,userCity,userCountry);
				}
				
				window.external.Voice.Listen(l_strUserName,
											 window.external.currentuser.email);
			//}
		} 
	}

	function changeBack() {
//----------------------------------------------------------------------------
		var l_nIndex = parseInt(Math.random() * 4);
		imgBack1.src= arrImgBG[l_nIndex].src;
	}
			
	function clickedWebZine() {
//----------------------------------------------------------------------------
		if (ConfirmUserConnection())
		{
			if (!window.external.IsExpired())
			{
				if (window.external.NetConnect1.IsConnected())
					window.external.PoliteCancelPush();

				window.navigate('../../wz/wz_main.html');
			}
		}
	}
	
	function clickedCoolLinks() {
//----------------------------------------------------------------------------
		if (ConfirmUserConnection())
		{
			if (!window.external.IsExpired())
			{
				if (window.external.NetConnect1.IsConnected())
					window.external.PoliteCancelPush();

				window.navigate('../../cl/cl_main.html');
			}
		}
	}	
	
	function clickedQuit() {
//----------------------------------------------------------------------------
	//	var l_objMann1 = window.external.PageState("Mannequin1");
	//	var l_objMann2 = window.external.PageState("Mannequin2");
		
	//	if (l_objMann1)
	//		window.external.PageState("Mannequin1") = new Object();
	//	if (l_objMann2)
	//		window.external.PageState("Mannequin2") = new Object();
		window.external.BeginWaitCursor();
		window.external.ExitCancelPush();
		window.navigate('../misc/credits.html');
	}

	function clickedPrivacy() {
//----------------------------------------------------------------------------
		// bring up legalese dialog
		show_dlg_privacy();
	}
	
	function clickedVR() {
//----------------------------------------------------------------------------
		if (screen.colorDepth > 16)
		{
			//alert(window.external.VRErrorShowAgain());
			if (window.external.VRErrorShowAgain())
			{
				l_bContinue = window.external.ShowVRErrorDlg();
				if (l_bContinue != 1)
				{
					return;
				}
			}
		}
		window.navigate("../../vr/vr_main.html");
	}
	 