//----------------------------------------------------------------------------
//	VR_FLATMUNDOCTRL.JS
//----------------------------------------------------------------------------

	var objPathCtrl;

	function initFlatMundo(p_nVendorID) {
//----------------------------------------------------------------------------
//	COMMENTS:
//		-	Offset is FlatMundo's distance from the top/left corner of the
//			html page.
//		-	HotRect is consists of the coordinates of the droom button,
//			the drag and drop target.
//		-	p_nVendorID == -1 initializes FlatMundo w/o loading a scene
//----------------------------------------------------------------------------
		// initialize FlatMundo
		FlatMundoCtrl.SetWindowOffset(109, 82);
				
		// calculate the drag and drop target dimensions
		var l_nHotRectLeft 		= imgDRButtonBase.style.pixelLeft;
		var l_nHotRectRight 	= imgDRButtonBase.style.pixelLeft
									+ imgDRButtonBase.width;
		var l_nHotRectTop 		= imgDRButtonBase.style.pixelTop; 
		var l_nHotRectBottom	= imgDRButtonBase.style.pixelTop
									+ imgDRButtonBase.height;
									
		FlatMundoCtrl.AddHotRect(
					1,						// id number
					l_nHotRectLeft,			// coordinates...
					l_nHotRectRight,
					l_nHotRectTop,
					l_nHotRectBottom );
					
		if (p_nVendorID != -1)
			LoadSceneFlatMundo(p_nVendorID.toString());
	}
	
	function isVendorValid(p_strVID) {
//----------------------------------------------------------------------------
		// create a vendor object from the id and check isValid property
		var l_objVendors = new ActiveXObject("Vendors.Vendors.1"); 
		var l_objVendor = l_objVendors.getVendorbyID(p_strVID);
		//db.debug('valid flag: ' + l_objVendor.isValid);
		return (l_objVendor.isValid == '2' || l_objVendor.isValid == '3');
	}
		
	function LoadSceneFlatMundo(p_strVendorID) {
//----------------------------------------------------------------------------		
		if (isVendorValid(p_strVendorID) || p_strVendorID == '0')
		{
			window.external.currentuser.addEventLog(
				"VREnterStore",
				p_strVendorID,
				0);

			// save state info
			objState.m_nVendorID = parseInt(p_strVendorID);
			
			// START PUSH
			//if (p_strVendorID != '0') 
			//{
			//	window.external.EnterStore(p_strVendorID);
			//}

			g_strCurrentStoreID = p_strVendorID;
			
			// build vendorID string. necessary format: "000xxx.mff"
			var l_strTemp = '';		
			for ( i = 0; i < (6 - p_strVendorID.length); i++)
				l_strTemp += '0';
			l_strTemp += p_strVendorID + '.mff';


			FlatMundoCtrl.LoadVendorFramesURL(l_strTemp);

			showElem(divFlatMundoCtrl);	
			
 			FlatMundoCtrl.Display();
			var l_strVendorID = l_strTemp.substring(0, 6);
			hideElem(divLogo);
			if (l_strVendorID != '000000')
			{
				displayCurrentStoreLogo(l_strVendorID);
			}
			return 1;
		}
		else
		{
			return 0;
		}
	}

	//var g_objPathCtrl = createPathControlObject("LOGO");

	function displayCurrentStoreLogo(p_strVendorID) {
//----------------------------------------------------------------------------
			//alert(p_strVendorID);
			objPathCtrl = createPathControlObject("LOGO");
			var l_strLogo = p_strVendorID + ".jpg";			
			var l_strLogoFullPath = getFullPath(objPathCtrl,
									p_strVendorID,
									l_strLogo);
																	
			imgLogo.src = l_strLogoFullPath;		
			showElem(divLogo);
	}
	
	function onItemSelectedFlat(p_nType, p_nId) {
//----------------------------------------------------------------------------
		//alert(p_nType + ' ' + p_nId);
	
		// GET THE DCC OBJECT FROM THE ID PASSED IN
		var l_objDccs = new ActiveXObject("Dccs.Dccs.1");		
		var l_objSelectedDcc = l_objDccs.getDccByID(p_nId);	

		switch(p_nType) 
		{
			case 0:	
				window.external.propertypage(
							l_objSelectedDcc,				
							"\\Html\\main\\property_pages\\pp_main.html", 
							"\\Html\\main\\property_pages\\pp_nav.html");
				break;
			case 1:		
				//db.debug('Banner: ' + p_nId);
				//db.debug('dccURL: ' + l_objSelectedDcc.homePageURL);
				
				if (l_objSelectedDcc.homePageURL != '')
				{
					// get url via pathcontrol...				
					objPathCtrl = createPathControlObject("BANNER");
					var p_strId = new String(p_nId);
					var l_nLZ = 6 - p_strId.length;
					var l_strLeadingZeros = '';
					for (i = 0; i < l_nLZ; i++) 
						l_strLeadingZeros += '0';
					var l_strBannerID = l_strLeadingZeros + p_strId;
	
					var l_strPath = l_strBannerID + '\\' + l_objSelectedDcc.homePageURL;
					
					var l_strFullPath = getFullPath(
											objPathCtrl,
											objState.m_nVendorID,
											l_strPath);										
					//db.debug('PATH CONTROL: ' + l_strFullPath);
				}				
				else
				{
					// try to connect (if necessary) and go to the
					// fashiontrip redirection page.
					if (!ConfirmUserConnection())
						return;					
					var l_strCGIParams = "vendor=" + l_objSelectedDcc.vendorID
										+ "&dcc=" + p_nId;			
					l_strFullPath =
						"http://www.fashiontrip.com/cgi-bin/redirect.pl?"
						+ l_strCGIParams;
				}
				
				//db.debug('final path:' + l_strFullPath);
				
				window.external.helpPage(			
						l_strFullPath, 
						"\\Html\\main\\property_pages\\pp_nav.html");
				break;
			}// end switch						
	}//end function

	function onFlatMundoEnterSpace(p_nId) {
//----------------------------------------------------------------------------
		// SUSPEND PUSH IF INSIDE STORE
		// if (g_strCurrentStoreID != '0')
		//	window.external.LeaveStore(g_strCurrentStoreID);

		if (window.external.UseFlatMundo)
		{
			if (isVendorValid(p_nId.toString()) || p_nId == 0)
			{
				hideElem(divFlatMundoCtrl);
				LoadSceneFlatMundo(p_nId.toString());
			}
			else
			{
			//	alert('invalid vendor: ' + p_nId);
			}
		}
		else
		{
			hideElem(divFlatMundoCtrl);
			showElem(divTDMundoCtrl);
			if (bTDMundoInited)
				LoadScene3dMundo(0);
		} 
	}
