//----------------------------------------------------------------------------
//	SF_MUNDOCTRL.JS
//----------------------------------------------------------------------------

	var lastStore = -1;
	var currentStore = 0;
	
	var bTDMundoInited = false;
	
	function init3DMundo() {
//----------------------------------------------------------------------------
//	COMMENTS:
//		-	l_arrViewport contains the position and dimensions of MundoCtrl
//			to be loaded after the machine scalability has been determined.
//----------------------------------------------------------------------------
		
		var vq = window.external.VisualQuality;

		TDMundoCtrl.CreateEngine(vq);
		TDMundoCtrl.SetWindowOffset(TDMundoCtrl.style.pixelLeft, TDMundoCtrl.style.pixelTop);
				
		// calculate the drag and drop target dimensions
		var l_nHotRectLeft = imgDRButtonBase.style.pixelLeft;
		var l_nHotRectRight = imgDRButtonBase.style.pixelLeft
							+ imgDRButtonBase.width;
		var l_nHotRectTop = imgDRButtonBase.style.pixelTop; 
		var l_nHotRectBottom = imgDRButtonBase.style.pixelTop
							+ imgDRButtonBase.height;
		TDMundoCtrl.AddHotRect(	1,
								l_nHotRectLeft,
								l_nHotRectRight,
								l_nHotRectTop,
								l_nHotRectBottom );
								
		TDMundoCtrl.ClearScene();
		
		LoadScene3dMundo(0);
		TDMundoCtrl.SetYawMode();
		bTDMundoInited = true;
	}

	function LoadScene3dMundo(p_nVendorID) {
//----------------------------------------------------------------------------
		hideElem(divLogo);
		
		if (g_strCurrentStoreID != 0)
		{
			window.external.currentuser.addEventLog(
				"VREnterStore", 0, 0);
		}
		// save state info
		objState.m_nVendorID = p_nVendorID;
		var l_strScene = new String(p_nVendorID);
		g_strCurrentStoreID = l_strScene;
		var l_nLZ = 6 - l_strScene.length;
		var l_strLeadingZeros = '';
		for (i = 0; i < l_nLZ; i++) 
			l_strLeadingZeros += '0';
		
		var urlObject =  l_strLeadingZeros + p_nVendorID + ".wrl";
		TDMundoCtrl.ClearScene();		
		TDMundoCtrl.LoadURL(urlObject);
		TDMundoCtrl.SyncData = objState.m_strSyncData;
		// any viewpoint modification must occur before InitProximitySensors();	
		TDMundoCtrl.InitProximitySensors();	
	}
			
	function onItemSelectedTD(p_nType, p_nId) {
//----------------------------------------------------------------------------
				
		// GET THE DCC OBJECT FROM THE ID PASSED IN
		var l_objDccs = new ActiveXObject("Dccs.Dccs.1");		
		var l_objSelectedDcc = l_objDccs.getDccByID(p_nId);	

		switch(p_nType) 
		{
			// DCC
			case 0:	
				window.external.propertypage(l_objSelectedDcc,				
											"\\Html\\main\\property_pages\\pp_main.html", 
											"\\Html\\main\\property_pages\\pp_nav.html");
				break;
			//	BANNER
	//		case 1:		
	//			// GET BANNER'S HOMEPAGEURL
	//			var l_strHomePage = l_objSelectedDcc.homePageURL;
	//			window.external.helpPage(			
	//				l_strHomePage, 
	//				"\\Html\\main\\property_pages\\pp_nav.html");
	//			break;
		}
	}
	
	function onTDMundoEnterSpace(p_nId) {
//----------------------------------------------------------------------------
		objState.m_strSyncData = TDMundoCtrl.SyncData;
		
		// make sure the id is valid...
		if (p_nId != 999999)
		{
			
			var l_nRetVal = LoadSceneFlatMundo(p_nId.toString());
			if (l_nRetVal != 0)
			{
				hideElem(divTDMundoCtrl);
				TDMundoCtrl.ClearScene();
			}
		}
		else
		{
			TDMundoCtrl.SyncData = objState.m_strSyncData;
			alert('This store is empty. Please try another one.');
		}
	}